import * as i0 from '@angular/core';
import { Component, Input, EventEmitter, Output, ViewEncapsulation, Injectable, ChangeDetectionStrategy, Directive, ElementRef, ViewChild, HostListener, ContentChildren, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i3 from '@fortawesome/angular-fontawesome';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
export * from '@fortawesome/angular-fontawesome';
import { fas } from '@fortawesome/free-solid-svg-icons';
import { fab } from '@fortawesome/free-brands-svg-icons';
import { trigger, state, style, transition, query, stagger, animate } from '@angular/animations';
import { BehaviorSubject } from 'rxjs';
import { ComponentPortal } from '@angular/cdk/portal';
import * as i1$1 from '@angular/cdk/overlay';
export * from '@ng-bootstrap/ng-bootstrap';
export * from 'keycloak-angular';
export * from 'ngx-mask';
export * from 'ngx-spinner';
export * from 'ngx-toastr';

class BreadcrumbComponent {
    text = '';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: BreadcrumbComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: BreadcrumbComponent, selector: "corebox-breadcrumb", inputs: { text: "text" }, ngImport: i0, template: "<section class=\"breadcrumb\" *ngIf=\"text !== ''\">\n\t<div [innerHTML]=\"text\"></div>\n</section>\n", styles: [".breadcrumb{margin:20px}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: BreadcrumbComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-breadcrumb', template: "<section class=\"breadcrumb\" *ngIf=\"text !== ''\">\n\t<div [innerHTML]=\"text\"></div>\n</section>\n", styles: [".breadcrumb{margin:20px}\n"] }]
        }], propDecorators: { text: [{
                type: Input
            }] } });

function navigate(url, queryParams, router) {
    if (url.includes('http')) {
        location.href = url;
    }
    else {
        router.navigate([url], { queryParams: queryParams });
    }
}

class MenuComponent {
    router;
    menuClosed;
    menuItems = [];
    menuOptions;
    menuChanged = new EventEmitter();
    selectedMenu;
    selectedSubMenu;
    menuClicked = false;
    constructor(router) {
        this.router = router;
    }
    ngOnInit() {
        let itens = this.menuItems.filter((menu) => menu.opened);
        if (itens.length > 0) {
            itens.forEach((item) => (item.opened = false));
            itens[0].opened = true;
            this.selectedMenu = itens[0];
        }
        document.body.onclick = () => {
            if (this.menuClosed && this.selectedMenu && !this.menuClicked && this.selectedMenu.opened) {
                this.selectedMenu.opened = false;
            }
            this.menuClicked = false;
        };
        this.selectCurrentMenu();
    }
    selectCurrentMenu() {
        const baseConfigs = this.router.config && this.router.config.length > 0
            ? this.router.config.filter((c) => {
                return c.path && c.path.indexOf('/') < 0 ? c : null;
            })
            : [];
        const baseResources = baseConfigs.map((c) => c.path);
        if (location.pathname && location.hash) {
            const path = location.href.replace(`${location.origin}/#/`, '');
            const resourceMatches = baseResources.filter((r) => path.startsWith(r));
            if (resourceMatches.length > 1) {
                let uniqueValue;
                for (let i = 0; i < resourceMatches.length; i++) {
                    const currentElement = resourceMatches[i];
                    const matchingElements = resourceMatches.filter((element) => element !== currentElement && element.startsWith(currentElement));
                    if (matchingElements.length === 0) {
                        uniqueValue = currentElement;
                        break;
                    }
                }
                this.selectedMenu = this.menuItems?.filter((m) => m.url === `/${uniqueValue}`)?.pop();
            }
            else if (resourceMatches.length === 1) {
                this.selectedMenu = this.menuItems?.filter((m) => m.url === `/${resourceMatches[0]}`)?.pop();
            }
        }
        else {
            const path = location.pathname?.split('/');
            this.selectedMenu = this.menuItems?.filter((m) => m.url === `/${path[1]}`)?.pop();
        }
    }
    useMenuClosedClass() {
        return this.menuClosed && window.innerWidth > 800;
    }
    useMenuOpenedClass() {
        return this.menuClosed && window.innerWidth <= 800;
    }
    getBackgroundImage() {
        return `url(${this.menuOptions.backgroundImage})`;
    }
    selectMenu(menu, i, level) {
        this.menuClicked = true;
        let divSubmenu = document.getElementById('submenu');
        if (divSubmenu?.getAttribute('style')?.indexOf('display: block') !== -1) {
            this.closeSubMenu();
            return;
        }
        if (this.selectedMenu) {
            if (!this.selectedMenu.children || this.selectedMenu.children.length === 0) {
                this.selectedSubMenu = undefined;
            }
            if (this.selectedMenu === menu) {
                this.selectedMenu.opened = !this.selectedMenu.opened;
            }
            else {
                if (level === 1 && this.selectedSubMenu && this.selectedMenu) {
                    this.selectedSubMenu.opened = false;
                    this.selectedSubMenu = null;
                }
                if (!this.selectedMenu.children || this.selectedMenu.children.indexOf(menu) < 0) {
                    this.selectedMenu.opened = false;
                    this.selectedMenu = menu;
                    this.selectedMenu.opened = true;
                }
                else {
                    if (this.selectedSubMenu && this.selectedSubMenu === menu) {
                        this.selectedSubMenu.opened = !menu.opened;
                        return;
                    }
                    if (this.selectedSubMenu)
                        this.selectedSubMenu.opened = false;
                    this.selectedSubMenu = menu;
                    this.selectedSubMenu.opened = true;
                }
            }
        }
        else {
            this.selectedMenu = menu;
            this.selectedMenu.opened = true;
        }
        if (window.innerWidth <= 800) {
            if (!this.selectedMenu.children || this.selectedMenu.children.length === 0) {
                this.menuChanged.emit(false);
            }
        }
        let navMenu = document.getElementById('nav-menu');
        if (navMenu?.className === 'corebox-menu corebox-closed' && this.selectedMenu.children && window.innerWidth >= 800) {
            let divSubmenu = document.getElementById('submenu');
            let itemDemenu = document.getElementById(`menu_${i}`);
            if (divSubmenu && itemDemenu) {
                const posicoesDoItemDeMenu = itemDemenu.getBoundingClientRect();
                divSubmenu.style.display = 'block';
                divSubmenu.style.top = `${posicoesDoItemDeMenu.top}px`;
            }
        }
        this.navigate(menu.url, menu.queryParams);
    }
    selectSubMenu(submenu, i, level, clickSubSubMenu = false) {
        this.menuClicked = true;
        if (this.selectedSubMenu) {
            if (this.selectedSubMenu === submenu) {
                this.selectedSubMenu.opened = !this.selectedSubMenu.opened;
            }
            else {
                if (this.selectedSubMenu.children && this.selectedSubMenu.children.indexOf(submenu) < 0) {
                    this.selectedSubMenu.opened = false;
                    this.selectedSubMenu = submenu;
                    this.selectedSubMenu.opened = true;
                }
            }
        }
        else {
            this.selectedSubMenu = submenu;
            this.selectedSubMenu.opened = true;
        }
        if (this.menuClosed && this.selectedMenu) {
            this.selectedMenu.opened = false;
        }
        let divSubSubmenu = document.getElementById('subsubmenu');
        if (this.menuClosed && this.selectedMenu?.children && window.innerWidth >= 800) {
            let divSubmenu = document.getElementById(`submenu_${i}`);
            if (this.selectedSubMenu == submenu && !submenu.opened) {
                divSubSubmenu.style.display = 'none';
                return;
            }
            if (this.selectedMenu.children.indexOf(submenu) >= 0) {
                this.selectedSubMenu = submenu;
                divSubSubmenu.style.display = 'block';
                const posicoesDoItemDeMenu = divSubmenu.getBoundingClientRect();
                divSubSubmenu.style.display = 'block';
                divSubSubmenu.style.top = `${posicoesDoItemDeMenu.top}px`;
            }
        }
        if (window.innerWidth <= 800) {
            this.menuChanged.emit(false);
        }
        this.navigate(submenu.url, submenu.queryParams);
        if (clickSubSubMenu)
            this.closeSubMenu();
    }
    showDesktopSubMenuWithOpenedNav = () => {
        return document.querySelectorAll('nav.corebox-menu.corebox-closed').length === 0;
    };
    closeSubMenu = () => {
        if (window.innerWidth >= 800) {
            let divSubmenu = document.getElementById('submenu');
            let divSubSubmenu = document.getElementById('subsubmenu');
            if (divSubmenu)
                divSubmenu.style.display = 'none';
            if (divSubSubmenu)
                divSubSubmenu.style.display = 'none';
        }
    };
    navigate = (url, queryParams) => {
        if (typeof url === 'string') {
            navigate(url, queryParams, this.router);
        }
        else {
            if (url !== null && url !== undefined)
                url();
        }
    };
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: MenuComponent, deps: [{ token: i1.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: MenuComponent, selector: "corebox-menu", inputs: { menuClosed: "menuClosed", menuItems: "menuItems", menuOptions: "menuOptions" }, outputs: { menuChanged: "menuChanged" }, ngImport: i0, template: "<nav id=\"menu\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass(), 'corebox-opened': useMenuOpenedClass() }\">\n\t<div class=\"corebox-nav-content\" [ngClass]=\"{ 'corebox-opened': useMenuOpenedClass() }\">\n\t\t<div class=\"corebox-logo\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\" [ngSwitch]=\"useMenuClosedClass()\" *ngIf=\"menuOptions.logo && !menuOptions.logoUrl\">\n\t\t\t<img *ngSwitchCase=\"false\" class=\"corebox-desktop\" [src]=\"menuOptions.logo\" alt=\"Company logo\" />\n\t\t\t<img *ngSwitchCase=\"true\" class=\"corebox-mobile\" [src]=\"menuOptions.logoMobile\" alt=\"Small Company logo\" />\n\t\t</div>\n\n\t\t<div class=\"corebox-logo\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\" [ngSwitch]=\"useMenuClosedClass()\" *ngIf=\"menuOptions.logo && menuOptions.logoUrl\">\n\t\t\t<a href=\"{{ menuOptions.logoUrl }}\">\n\t\t\t\t<img *ngSwitchCase=\"false\" class=\"corebox-desktop\" [src]=\"menuOptions.logo\" alt=\"Company logo\" />\n\t\t\t\t<img *ngSwitchCase=\"true\" class=\"corebox-mobile\" [src]=\"menuOptions.logoMobile\" alt=\"Small Company logo\" />\n\t\t\t</a>\n\t\t</div>\n\n\t\t<div class=\"corebox-menu\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t<ul>\n\t\t\t\t<li id=\"menu_{{ i }}\" *ngFor=\"let menuItem of menuItems; let i = index\">\n\t\t\t\t\t<a *ngIf=\"!menuItem.children && menuItem.show\" (click)=\"this.selectMenu(menuItem, i, 1)\" routerLinkActive=\"active\" [ngClass]=\"{ 'corebox-selected': menuItem === selectedMenu, 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t<fa-icon [icon]=\"menuItem.icon || 'th'\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t<span>{{ menuItem.title }}</span>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</a>\n\n\t\t\t\t\t<a *ngIf=\"menuItem.children && menuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(menuItem, i, 1)\" [ngClass]=\"{ 'corebox-selected': menuItem === selectedMenu, 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t<fa-icon [icon]=\"menuItem.icon || 'th'\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t<span>{{ menuItem.title }}</span>\n\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!menuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"menuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</a>\n\n\t\t\t\t\t<ul [ngClass]=\"{ 'corebox-show-submenu': menuItem.opened && showDesktopSubMenuWithOpenedNav() && !useMenuClosedClass() }\">\n\t\t\t\t\t\t<li *ngFor=\"let subMenuItem of menuItem.children; let i = index\">\n\t\t\t\t\t\t\t<a *ngIf=\"!subMenuItem.children && subMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subMenuItem, i, 2)\" [ngClass]=\"{'corebox-selected': menuItem === selectedMenu, 'corebox-selectedSubMenu': subMenuItem === selectedSubMenu }\">\n\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.icon\" [icon]=\"subMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subMenuItem.title }}</span>\n\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t<a *ngIf=\"subMenuItem.children && subMenuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(subMenuItem, i, 2)\" [ngClass]=\"{ 'corebox-selected': subMenuItem === selectedMenu }\">\n\t\t\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.icon\" [icon]=\"subMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!subMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t<ul [ngClass]=\"{ 'corebox-show-submenu': subMenuItem.opened && showDesktopSubMenuWithOpenedNav() && !useMenuClosedClass() }\">\n\t\t\t\t\t\t\t\t<li *ngFor=\"let subSubMenuItem of subMenuItem.children\">\n\t\t\t\t\t\t\t\t\t<a *ngIf=\"!subSubMenuItem.children && subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subSubMenuItem, i, 3)\" [ngClass]=\"{'corebox-selected': menuItem === selectedMenu, 'corebox-selectedSubMenu': subSubMenuItem === selectedSubMenu }\">\n\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.icon\" [icon]=\"subSubMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subSubMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t</a>\n\t\t\n\t\t\t\t\t\t\t\t\t<a *ngIf=\"subSubMenuItem.children && subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(subSubMenuItem, i, 3)\" [ngClass]=\"{ 'corebox-selected': subSubMenuItem === selectedMenu }\">\n\t\t\t\t\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.icon\" [icon]=\"subSubMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subSubMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!subSubMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t</li>\n\t\t\t\t\t</ul>\n\t\t\t\t\t\n\t\t\t\t</li>\n\t\t\t</ul>\n\t\t</div>\n\n\t</div>\n</nav>\n\n<div id=\"submenu\" class=\"corebox-subMenuPopup\" style=\"display: none\">\n\t<ul>\n\t\t<li id=\"submenu_{{ i }}\" *ngFor=\"let subMenuItem of selectedMenu?.children; let i = index\">\n\t\t\t<a *ngIf=\"subMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subMenuItem, i, 2)\" [ngClass]=\"{ 'corebox-selected': selectedMenu === selectedMenu, 'corebox-selectedSubMenu': subMenuItem === selectedSubMenu }\">\n\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\" />\n\t\t\t\t<span>{{ subMenuItem.title }}</span>\n\t\t\t\t<span class=\"corebox-arrow\" *ngIf=\"subMenuItem.children\">\n\t\t\t\t\t<fa-icon *ngIf=\"!subMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.opened\" [icon]=\"'chevron-right'\" />\n\t\t\t\t</span>\n\t\t\t</a>\n\t\t</li>\n\t</ul>\n</div>\n\n<div id=\"subsubmenu\" class=\"corebox-subSubMenuPopup\" style=\"display: none\">\n\t<ul>\n\t\t<li id=\"subsubmenu_{{ i }}\" *ngFor=\"let subSubMenuItem of selectedSubMenu?.children; let i = index\">\n\t\t\t<a *ngIf=\"subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subSubMenuItem, i, 3, true)\" [ngClass]=\"{ 'corebox-selected': selectedMenu === selectedMenu, 'corebox-selectedSubMenu': subSubMenuItem === selectedSubMenu }\">\n\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\" />\n\t\t\t\t<span>{{ subSubMenuItem.title }}</span>\n\t\t\t</a>\n\t\t</li>\n\t</ul>\n</div>\n", styles: ["nav{background-color:var(--menu-background-color);box-shadow:0 4px 4px #00000040;display:block;font-weight:400;min-height:100vh;left:0;position:fixed;top:0;width:var(--menu-width)}nav.corebox-closed{width:var(--menu-closed-width);transition:all .4s}nav.corebox-opened{display:block;width:100vw}nav>.corebox-nav-content.corebox-opened>.corebox-logo{display:none}nav>.corebox-nav-content.corebox-opened>.corebox-menu{font-size:16px;height:calc(100vh - var(--header-height));top:var(--header-height);width:100vw}nav>.corebox-nav-content.corebox-opened>.corebox-menu>ul>li>a{padding:30px}nav>.corebox-nav-content>.corebox-logo{height:var(--menu-logo-height);max-width:-webkit-fill-available;max-width:-moz-available;text-align:center}nav>.corebox-nav-content>.corebox-logo.corebox-closed{height:var(--header-height)}nav>.corebox-nav-content>.corebox-logo>img{position:relative;top:50%;transform:translateY(-50%)}nav>.corebox-nav-content>.corebox-logo>img.corebox-desktop{height:70px}nav>.corebox-nav-content>.corebox-logo>img.corebox-mobile{height:50px}nav>.corebox-nav-content>.corebox-logo>a>img{position:relative;top:50%;transform:translateY(-50%)}nav>.corebox-nav-content>.corebox-logo>a>img.corebox-desktop{height:70px}nav>.corebox-nav-content>.corebox-logo>a>img.corebox-mobile{height:50px}nav>.corebox-nav-content>.corebox-menu{height:calc(100vh - var(--menu-logo-height));overflow-x:hidden;overflow-y:auto;position:fixed;width:var(--menu-width)}nav>.corebox-nav-content>.corebox-menu.corebox-closed{height:calc(100vh - var(--header-height));width:var(--menu-closed-width);transition:all .4s}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar-track{background-color:transparent}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar{background-color:transparent;width:6px}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}nav>.corebox-nav-content>.corebox-menu>ul{margin:0;list-style:none;padding:0;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>a.corebox-selected{background-color:var(--menu-background-hover-color);border-left:4px solid var(--menu-border-left-color);color:var(--menu-selected-font-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>a.corebox-closed{padding:15px 0;text-align:center}nav>.corebox-nav-content>.corebox-menu>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>a>div>fa-icon{margin:0 5px 0 0}nav>.corebox-nav-content>.corebox-menu>ul>li>ul{background-color:var(--menu-submenu-background-color);border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0;max-height:0;overflow:hidden;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul.corebox-show-submenu{max-height:100vh}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px 15px 50px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul{background-color:var(--menu-submenu-background-color);margin:0;list-style:none;padding:0;max-height:0;overflow:hidden;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul.corebox-show-submenu{max-height:100vh}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px 15px 70px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}@media (max-width: 800px){nav{background-color:var(--menu-background-color);font-weight:400;min-height:100vh;left:0;top:0;display:none}}.corebox-subMenuPopup{background-color:var(--menu-background-color);left:var(--menu-closed-width);max-height:100vh;position:absolute;width:220px}.corebox-subMenuPopup>ul{border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0}.corebox-subMenuPopup>ul>li{cursor:pointer;display:block;position:relative}.corebox-subMenuPopup>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-subMenuPopup>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}.corebox-subMenuPopup>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-subSubMenuPopup{background-color:var(--menu-background-color);left:calc(var(--menu-closed-width) + 220px);max-height:100vh;position:absolute;width:220px}.corebox-subSubMenuPopup>ul{border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0}.corebox-subSubMenuPopup>ul>li{cursor:pointer;display:block;position:relative}.corebox-subSubMenuPopup>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-subSubMenuPopup>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}.corebox-subSubMenuPopup>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.ml-6{margin-left:6px}.corebox-arrow{float:right}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i2.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "directive", type: i1.RouterLinkActive, selector: "[routerLinkActive]", inputs: ["routerLinkActiveOptions", "ariaCurrentWhenActive", "routerLinkActive"], outputs: ["isActiveChange"], exportAs: ["routerLinkActive"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: MenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-menu', template: "<nav id=\"menu\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass(), 'corebox-opened': useMenuOpenedClass() }\">\n\t<div class=\"corebox-nav-content\" [ngClass]=\"{ 'corebox-opened': useMenuOpenedClass() }\">\n\t\t<div class=\"corebox-logo\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\" [ngSwitch]=\"useMenuClosedClass()\" *ngIf=\"menuOptions.logo && !menuOptions.logoUrl\">\n\t\t\t<img *ngSwitchCase=\"false\" class=\"corebox-desktop\" [src]=\"menuOptions.logo\" alt=\"Company logo\" />\n\t\t\t<img *ngSwitchCase=\"true\" class=\"corebox-mobile\" [src]=\"menuOptions.logoMobile\" alt=\"Small Company logo\" />\n\t\t</div>\n\n\t\t<div class=\"corebox-logo\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\" [ngSwitch]=\"useMenuClosedClass()\" *ngIf=\"menuOptions.logo && menuOptions.logoUrl\">\n\t\t\t<a href=\"{{ menuOptions.logoUrl }}\">\n\t\t\t\t<img *ngSwitchCase=\"false\" class=\"corebox-desktop\" [src]=\"menuOptions.logo\" alt=\"Company logo\" />\n\t\t\t\t<img *ngSwitchCase=\"true\" class=\"corebox-mobile\" [src]=\"menuOptions.logoMobile\" alt=\"Small Company logo\" />\n\t\t\t</a>\n\t\t</div>\n\n\t\t<div class=\"corebox-menu\" [ngClass]=\"{ 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t<ul>\n\t\t\t\t<li id=\"menu_{{ i }}\" *ngFor=\"let menuItem of menuItems; let i = index\">\n\t\t\t\t\t<a *ngIf=\"!menuItem.children && menuItem.show\" (click)=\"this.selectMenu(menuItem, i, 1)\" routerLinkActive=\"active\" [ngClass]=\"{ 'corebox-selected': menuItem === selectedMenu, 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t<fa-icon [icon]=\"menuItem.icon || 'th'\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t<span>{{ menuItem.title }}</span>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</a>\n\n\t\t\t\t\t<a *ngIf=\"menuItem.children && menuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(menuItem, i, 1)\" [ngClass]=\"{ 'corebox-selected': menuItem === selectedMenu, 'corebox-closed': useMenuClosedClass() }\">\n\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t<fa-icon [icon]=\"menuItem.icon || 'th'\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t<span>{{ menuItem.title }}</span>\n\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!menuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"menuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t</div>\n\t\t\t\t\t</a>\n\n\t\t\t\t\t<ul [ngClass]=\"{ 'corebox-show-submenu': menuItem.opened && showDesktopSubMenuWithOpenedNav() && !useMenuClosedClass() }\">\n\t\t\t\t\t\t<li *ngFor=\"let subMenuItem of menuItem.children; let i = index\">\n\t\t\t\t\t\t\t<a *ngIf=\"!subMenuItem.children && subMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subMenuItem, i, 2)\" [ngClass]=\"{'corebox-selected': menuItem === selectedMenu, 'corebox-selectedSubMenu': subMenuItem === selectedSubMenu }\">\n\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.icon\" [icon]=\"subMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subMenuItem.title }}</span>\n\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t<a *ngIf=\"subMenuItem.children && subMenuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(subMenuItem, i, 2)\" [ngClass]=\"{ 'corebox-selected': subMenuItem === selectedMenu }\">\n\t\t\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.icon\" [icon]=\"subMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!subMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t</a>\n\n\t\t\t\t\t\t\t<ul [ngClass]=\"{ 'corebox-show-submenu': subMenuItem.opened && showDesktopSubMenuWithOpenedNav() && !useMenuClosedClass() }\">\n\t\t\t\t\t\t\t\t<li *ngFor=\"let subSubMenuItem of subMenuItem.children\">\n\t\t\t\t\t\t\t\t\t<a *ngIf=\"!subSubMenuItem.children && subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subSubMenuItem, i, 3)\" [ngClass]=\"{'corebox-selected': menuItem === selectedMenu, 'corebox-selectedSubMenu': subSubMenuItem === selectedSubMenu }\">\n\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.icon\" [icon]=\"subSubMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subSubMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t</a>\n\t\t\n\t\t\t\t\t\t\t\t\t<a *ngIf=\"subSubMenuItem.children && subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"this.selectMenu(subSubMenuItem, i, 3)\" [ngClass]=\"{ 'corebox-selected': subSubMenuItem === selectedMenu }\">\n\t\t\t\t\t\t\t\t\t\t<div>\n\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.icon\" [icon]=\"subSubMenuItem.icon\" [ngClass]=\"{ 'fa-lg': useMenuClosedClass() }\" />\n\t\t\t\t\t\t\t\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\">\n\t\t\t\t\t\t\t\t\t\t\t\t<span class=\"ml-6\">{{ subSubMenuItem.title }}</span>\n\t\t\t\t\t\t\t\t\t\t\t\t<span class=\"corebox-arrow\">\n\t\t\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"!subSubMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t\t\t\t\t\t\t\t\t<fa-icon *ngIf=\"subSubMenuItem.opened\" [icon]=\"'chevron-down'\" />\n\t\t\t\t\t\t\t\t\t\t\t\t</span>\n\t\t\t\t\t\t\t\t\t\t\t</ng-container>\n\t\t\t\t\t\t\t\t\t\t</div>\n\t\t\t\t\t\t\t\t\t</a>\n\t\t\t\t\t\t\t\t</li>\n\t\t\t\t\t\t\t</ul>\n\n\t\t\t\t\t\t</li>\n\t\t\t\t\t</ul>\n\t\t\t\t\t\n\t\t\t\t</li>\n\t\t\t</ul>\n\t\t</div>\n\n\t</div>\n</nav>\n\n<div id=\"submenu\" class=\"corebox-subMenuPopup\" style=\"display: none\">\n\t<ul>\n\t\t<li id=\"submenu_{{ i }}\" *ngFor=\"let subMenuItem of selectedMenu?.children; let i = index\">\n\t\t\t<a *ngIf=\"subMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subMenuItem, i, 2)\" [ngClass]=\"{ 'corebox-selected': selectedMenu === selectedMenu, 'corebox-selectedSubMenu': subMenuItem === selectedSubMenu }\">\n\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\" />\n\t\t\t\t<span>{{ subMenuItem.title }}</span>\n\t\t\t\t<span class=\"corebox-arrow\" *ngIf=\"subMenuItem.children\">\n\t\t\t\t\t<fa-icon *ngIf=\"!subMenuItem.opened\" [icon]=\"'chevron-left'\" />\n\t\t\t\t\t<fa-icon *ngIf=\"subMenuItem.opened\" [icon]=\"'chevron-right'\" />\n\t\t\t\t</span>\n\t\t\t</a>\n\t\t</li>\n\t</ul>\n</div>\n\n<div id=\"subsubmenu\" class=\"corebox-subSubMenuPopup\" style=\"display: none\">\n\t<ul>\n\t\t<li id=\"subsubmenu_{{ i }}\" *ngFor=\"let subSubMenuItem of selectedSubMenu?.children; let i = index\">\n\t\t\t<a *ngIf=\"subSubMenuItem.show\" routerLinkActive=\"active\" (click)=\"selectSubMenu(subSubMenuItem, i, 3, true)\" [ngClass]=\"{ 'corebox-selected': selectedMenu === selectedMenu, 'corebox-selectedSubMenu': subSubMenuItem === selectedSubMenu }\">\n\t\t\t\t<ng-container *ngIf=\"!useMenuClosedClass()\" />\n\t\t\t\t<span>{{ subSubMenuItem.title }}</span>\n\t\t\t</a>\n\t\t</li>\n\t</ul>\n</div>\n", styles: ["nav{background-color:var(--menu-background-color);box-shadow:0 4px 4px #00000040;display:block;font-weight:400;min-height:100vh;left:0;position:fixed;top:0;width:var(--menu-width)}nav.corebox-closed{width:var(--menu-closed-width);transition:all .4s}nav.corebox-opened{display:block;width:100vw}nav>.corebox-nav-content.corebox-opened>.corebox-logo{display:none}nav>.corebox-nav-content.corebox-opened>.corebox-menu{font-size:16px;height:calc(100vh - var(--header-height));top:var(--header-height);width:100vw}nav>.corebox-nav-content.corebox-opened>.corebox-menu>ul>li>a{padding:30px}nav>.corebox-nav-content>.corebox-logo{height:var(--menu-logo-height);max-width:-webkit-fill-available;max-width:-moz-available;text-align:center}nav>.corebox-nav-content>.corebox-logo.corebox-closed{height:var(--header-height)}nav>.corebox-nav-content>.corebox-logo>img{position:relative;top:50%;transform:translateY(-50%)}nav>.corebox-nav-content>.corebox-logo>img.corebox-desktop{height:70px}nav>.corebox-nav-content>.corebox-logo>img.corebox-mobile{height:50px}nav>.corebox-nav-content>.corebox-logo>a>img{position:relative;top:50%;transform:translateY(-50%)}nav>.corebox-nav-content>.corebox-logo>a>img.corebox-desktop{height:70px}nav>.corebox-nav-content>.corebox-logo>a>img.corebox-mobile{height:50px}nav>.corebox-nav-content>.corebox-menu{height:calc(100vh - var(--menu-logo-height));overflow-x:hidden;overflow-y:auto;position:fixed;width:var(--menu-width)}nav>.corebox-nav-content>.corebox-menu.corebox-closed{height:calc(100vh - var(--header-height));width:var(--menu-closed-width);transition:all .4s}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar-track{background-color:transparent}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar{background-color:transparent;width:6px}nav>.corebox-nav-content>.corebox-menu::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}nav>.corebox-nav-content>.corebox-menu>ul{margin:0;list-style:none;padding:0;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>a.corebox-selected{background-color:var(--menu-background-hover-color);border-left:4px solid var(--menu-border-left-color);color:var(--menu-selected-font-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>a.corebox-closed{padding:15px 0;text-align:center}nav>.corebox-nav-content>.corebox-menu>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>a>div>fa-icon{margin:0 5px 0 0}nav>.corebox-nav-content>.corebox-menu>ul>li>ul{background-color:var(--menu-submenu-background-color);border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0;max-height:0;overflow:hidden;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul.corebox-show-submenu{max-height:100vh}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px 15px 50px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul{background-color:var(--menu-submenu-background-color);margin:0;list-style:none;padding:0;max-height:0;overflow:hidden;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul.corebox-show-submenu{max-height:100vh}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li{cursor:pointer;display:block;position:relative;width:100%}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px 15px 70px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}nav>.corebox-nav-content>.corebox-menu>ul>li>ul>li>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}@media (max-width: 800px){nav{background-color:var(--menu-background-color);font-weight:400;min-height:100vh;left:0;top:0;display:none}}.corebox-subMenuPopup{background-color:var(--menu-background-color);left:var(--menu-closed-width);max-height:100vh;position:absolute;width:220px}.corebox-subMenuPopup>ul{border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0}.corebox-subMenuPopup>ul>li{cursor:pointer;display:block;position:relative}.corebox-subMenuPopup>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-subMenuPopup>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}.corebox-subMenuPopup>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-subSubMenuPopup{background-color:var(--menu-background-color);left:calc(var(--menu-closed-width) + 220px);max-height:100vh;position:absolute;width:220px}.corebox-subSubMenuPopup>ul{border-left:4px solid var(--menu-border-left-color);margin:0;list-style:none;padding:0}.corebox-subSubMenuPopup>ul>li{cursor:pointer;display:block;position:relative}.corebox-subSubMenuPopup>ul>li>a{color:var(--menu-font-color);display:block;padding:15px 30px;text-decoration:none;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-subSubMenuPopup>ul>li>a.corebox-selectedSubMenu{background-color:var(--menu-submenu-selected-background-color);color:var(--menu-font-hover-color)}.corebox-subSubMenuPopup>ul>li>a:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.ml-6{margin-left:6px}.corebox-arrow{float:right}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }]; }, propDecorators: { menuClosed: [{
                type: Input
            }], menuItems: [{
                type: Input
            }], menuOptions: [{
                type: Input
            }], menuChanged: [{
                type: Output
            }] } });

class AppsButtonComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AppsButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: AppsButtonComponent, selector: "corebox-apps-button", ngImport: i0, template: "<section class=\"corebox-apps-button\">\n\t<button>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t</button>\n</section>\n", styles: [".corebox-apps-button>button{background-color:transparent;border:none;cursor:pointer;display:flex;flex-direction:row;flex-wrap:wrap;padding:5px;width:30px}.corebox-apps-button>button>span{background-color:var(--header-icon--background-color);display:block;height:4px;margin-right:4px;margin-bottom:4px;width:4px}.corebox-apps-button>button>span:nth-child(3),.corebox-apps-button>button>span:nth-child(6),.corebox-apps-button>button>span:nth-child(9){margin-right:0}.corebox-apps-button>button>span:nth-child(7),.corebox-apps-button>button>span:nth-child(8),.corebox-apps-button>button>span:nth-child(9){margin-bottom:0}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AppsButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-apps-button', template: "<section class=\"corebox-apps-button\">\n\t<button>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t</button>\n</section>\n", styles: [".corebox-apps-button>button{background-color:transparent;border:none;cursor:pointer;display:flex;flex-direction:row;flex-wrap:wrap;padding:5px;width:30px}.corebox-apps-button>button>span{background-color:var(--header-icon--background-color);display:block;height:4px;margin-right:4px;margin-bottom:4px;width:4px}.corebox-apps-button>button>span:nth-child(3),.corebox-apps-button>button>span:nth-child(6),.corebox-apps-button>button>span:nth-child(9){margin-right:0}.corebox-apps-button>button>span:nth-child(7),.corebox-apps-button>button>span:nth-child(8),.corebox-apps-button>button>span:nth-child(9){margin-bottom:0}\n"] }]
        }] });

class MenuButtonComponent {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: MenuButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: MenuButtonComponent, selector: "corebox-menu-button", ngImport: i0, template: "<section class=\"corebox-menu-button\">\n\t<button>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t</button>\n</section>\n", styles: [".corebox-menu-button>button{background-color:transparent;border:none;cursor:pointer;padding:10px 0 11px 9px}.corebox-menu-button>button>span{background-color:var(--header-icon--background-color);display:block;height:3px;margin-bottom:4px;width:22px}.corebox-menu-button>button>span:last-child{background-color:var(--header-icon--background-color);display:block;height:3px;margin-bottom:0;width:22px}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: MenuButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-menu-button', template: "<section class=\"corebox-menu-button\">\n\t<button>\n\t\t<span></span>\n\t\t<span></span>\n\t\t<span></span>\n\t</button>\n</section>\n", styles: [".corebox-menu-button>button{background-color:transparent;border:none;cursor:pointer;padding:10px 0 11px 9px}.corebox-menu-button>button>span{background-color:var(--header-icon--background-color);display:block;height:3px;margin-bottom:4px;width:22px}.corebox-menu-button>button>span:last-child{background-color:var(--header-icon--background-color);display:block;height:3px;margin-bottom:0;width:22px}\n"] }]
        }] });

class AppsComponent {
    router;
    appItems = [];
    showApps = false;
    constructor(router) {
        this.router = router;
    }
    navigate = (url, queryParams) => {
        if (typeof url === 'string') {
            navigate(url, queryParams, this.router);
        }
        else {
            if (url !== null && url !== undefined)
                url();
        }
    };
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AppsComponent, deps: [{ token: i1.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: AppsComponent, selector: "corebox-apps", inputs: { appItems: "appItems", showApps: "showApps" }, ngImport: i0, template: "<section class=\"corebox-apps\" [ngClass]=\"{ 'corebox-d-block': showApps, 'corebox-d-none': !showApps }\">\n\t<div class=\"corebox-apps-content\">\n\t\t<div *ngFor=\"let app of appItems\" class=\"corebox-app\" (click)=\"navigate(app.url, {})\" [class.d-none]=\"!app.show\">\n\t\t\t<fa-icon [icon]=\"[app.iconGallery, app.icon]\" class=\"fa-xl\"></fa-icon>\n\t\t\t<span>{{ app.title }}</span>\n\t\t</div>\n\t</div>\n</section>\n", styles: [".corebox-apps{background-color:var(--menu-background-color);border-radius:3px;box-shadow:0 0 5px var(--header-border-shadow-color);max-height:263px;overflow-y:auto;padding:15px;position:absolute;right:50px;top:50px;width:300px}.corebox-apps::-webkit-scrollbar-track{background-color:transparent}.corebox-apps::-webkit-scrollbar{width:6px;background-color:transparent}.corebox-apps::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}.corebox-apps>.corebox-apps-content{display:flex;flex-direction:row;flex-wrap:wrap}.corebox-apps>.corebox-apps-content>.corebox-app{align-items:center;border-radius:3px;color:var(--menu-font-color);cursor:pointer;display:flex;flex-direction:column;min-width:0;overflow:hidden;padding:20px 0;text-overflow:ellipsis;white-space:nowrap;width:33%}.corebox-apps>.corebox-apps-content>.corebox-app:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color);transition:all .4s}.corebox-apps>.corebox-apps-content>.corebox-app>span{margin:10px 0 0;min-width:0}@media (max-width: 800px){.corebox-apps{border-radius:0;font-size:16px;min-height:calc(100vh - 83px);right:-20px;top:44px;width:calc(100vw - 30px)}.corebox-apps>.corebox-apps-content>.corebox-app{padding:40px 0}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AppsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-apps', template: "<section class=\"corebox-apps\" [ngClass]=\"{ 'corebox-d-block': showApps, 'corebox-d-none': !showApps }\">\n\t<div class=\"corebox-apps-content\">\n\t\t<div *ngFor=\"let app of appItems\" class=\"corebox-app\" (click)=\"navigate(app.url, {})\" [class.d-none]=\"!app.show\">\n\t\t\t<fa-icon [icon]=\"[app.iconGallery, app.icon]\" class=\"fa-xl\"></fa-icon>\n\t\t\t<span>{{ app.title }}</span>\n\t\t</div>\n\t</div>\n</section>\n", styles: [".corebox-apps{background-color:var(--menu-background-color);border-radius:3px;box-shadow:0 0 5px var(--header-border-shadow-color);max-height:263px;overflow-y:auto;padding:15px;position:absolute;right:50px;top:50px;width:300px}.corebox-apps::-webkit-scrollbar-track{background-color:transparent}.corebox-apps::-webkit-scrollbar{width:6px;background-color:transparent}.corebox-apps::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}.corebox-apps>.corebox-apps-content{display:flex;flex-direction:row;flex-wrap:wrap}.corebox-apps>.corebox-apps-content>.corebox-app{align-items:center;border-radius:3px;color:var(--menu-font-color);cursor:pointer;display:flex;flex-direction:column;min-width:0;overflow:hidden;padding:20px 0;text-overflow:ellipsis;white-space:nowrap;width:33%}.corebox-apps>.corebox-apps-content>.corebox-app:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color);transition:all .4s}.corebox-apps>.corebox-apps-content>.corebox-app>span{margin:10px 0 0;min-width:0}@media (max-width: 800px){.corebox-apps{border-radius:0;font-size:16px;min-height:calc(100vh - 83px);right:-20px;top:44px;width:calc(100vw - 30px)}.corebox-apps>.corebox-apps-content>.corebox-app{padding:40px 0}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }]; }, propDecorators: { appItems: [{
                type: Input
            }], showApps: [{
                type: Input
            }] } });

class AvatarComponent {
    sessionName;
    pathToAvatarImage;
    size = 'corebox-sm';
    letters;
    ngOnInit() {
        if (this.pathToAvatarImage === undefined || this.pathToAvatarImage === '')
            this.letters = this.getFirstLetterOfEachName();
    }
    getFirstLetterOfEachName() {
        if (this.sessionName) {
            const nameUppercase = this.sessionName.toUpperCase();
            const nameArray = nameUppercase.split(' ');
            if (nameArray.length == 1)
                return `${this.validateLetter(nameArray[0][0])}`;
            else
                return `${this.validateLetter(nameArray[0][0])}${this.validateLetter(nameArray[nameArray.length - 1][0])}`;
        }
        return undefined;
    }
    validateLetter(letter) {
        return letter === undefined ? '-' : letter;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AvatarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: AvatarComponent, selector: "corebox-avatar", inputs: { sessionName: "sessionName", pathToAvatarImage: "pathToAvatarImage", size: "size" }, ngImport: i0, template: "<section class=\"corebox-avatar\" [ngClass]=\"size\">\n\t<span *ngIf=\"!pathToAvatarImage || (pathToAvatarImage && pathToAvatarImage.length === 0)\">{{ letters }}</span>\n\t<img [src]=\"pathToAvatarImage\" *ngIf=\"pathToAvatarImage && pathToAvatarImage.length > 0\" />\n</section>\n", styles: ["@import\"https://fonts.googleapis.com/css?family=Noto Sans Mono\";.corebox-avatar{background-color:var(--header-icon--background-color);border-radius:50%;font-family:Noto Sans Mono,monospace}.corebox-avatar.corebox-sm{padding:7px 9px}.corebox-avatar.corebox-sm span{color:var(--header-icon--font-color);font-weight:600}.corebox-avatar.corebox-sm img{border-radius:50%;height:32px}.corebox-avatar.corebox-lg{padding:15px 20px}.corebox-avatar.corebox-lg span{color:var(--header-icon--font-color);font-weight:600;font-size:30px}.corebox-avatar.corebox-lg img{border-radius:50%;height:32px}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: AvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-avatar', template: "<section class=\"corebox-avatar\" [ngClass]=\"size\">\n\t<span *ngIf=\"!pathToAvatarImage || (pathToAvatarImage && pathToAvatarImage.length === 0)\">{{ letters }}</span>\n\t<img [src]=\"pathToAvatarImage\" *ngIf=\"pathToAvatarImage && pathToAvatarImage.length > 0\" />\n</section>\n", styles: ["@import\"https://fonts.googleapis.com/css?family=Noto Sans Mono\";.corebox-avatar{background-color:var(--header-icon--background-color);border-radius:50%;font-family:Noto Sans Mono,monospace}.corebox-avatar.corebox-sm{padding:7px 9px}.corebox-avatar.corebox-sm span{color:var(--header-icon--font-color);font-weight:600}.corebox-avatar.corebox-sm img{border-radius:50%;height:32px}.corebox-avatar.corebox-lg{padding:15px 20px}.corebox-avatar.corebox-lg span{color:var(--header-icon--font-color);font-weight:600;font-size:30px}.corebox-avatar.corebox-lg img{border-radius:50%;height:32px}\n"] }]
        }], propDecorators: { sessionName: [{
                type: Input
            }], pathToAvatarImage: [{
                type: Input
            }], size: [{
                type: Input
            }] } });

class ProfileComponent {
    profileOptions;
    showProfile = false;
    profileUpdateExists() {
        return (this.profileOptions?.profileLabel?.length ?? 0) > 0;
    }
    openMyProfile() {
        location.href = this.profileOptions?.profileUrl ?? '';
    }
    logout() {
        this.profileOptions?.logoutEvent();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ProfileComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: ProfileComponent, selector: "corebox-profile", inputs: { profileOptions: "profileOptions", showProfile: "showProfile" }, ngImport: i0, template: "<section class=\"corebox-profile\" [ngClass]=\"{ 'corebox-d-block': showProfile, 'corebox-d-none': !showProfile }\">\n\t<div class=\"corebox-profile-content\">\n\t\t<ul>\n\t\t\t<li class=\"corebox-li-profile-info\">\n\t\t\t\t<corebox-avatar\n\t\t\t\t\t[sessionName]=\"profileOptions?.userName\"\n\t\t\t\t\t[pathToAvatarImage]=\"profileOptions?.avatarUrl\"\n\t\t\t\t\t[size]=\"'corebox-lg'\"\n\t\t\t\t></corebox-avatar>\n\t\t\t\t<div class=\"corebox-profile-info\">\n\t\t\t\t\t<div>\n\t\t\t\t\t\t<strong>{{ profileOptions?.userName }}</strong>\n\t\t\t\t\t</div>\n\t\t\t\t\t<div>{{ profileOptions?.companyName }}</div>\n\t\t\t\t</div>\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-my-profile\">\n\t\t\t\t<a class=\"corebox-my-profile\" (click)=\"openMyProfile()\" *ngIf=\"profileUpdateExists()\">\n\t\t\t\t\t<fa-icon [icon]=\"profileOptions?.profileIcon ?? 'font-awesome'\"></fa-icon>\n\t\t\t\t\t<span>{{ profileOptions?.profileLabel }}</span>\n\t\t\t\t</a>\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-divisor\">\n\t\t\t\t<hr />\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-logout\">\n\t\t\t\t<a class=\"corebox-logout\" (click)=\"logout()\">\n\t\t\t\t\t<fa-icon [icon]=\"profileOptions?.logoutIcon ?? 'font-awesome'\"></fa-icon>\n\t\t\t\t\t<span>{{ profileOptions?.logoutLabel }}</span>\n\t\t\t\t</a>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n</section>\n", styles: [".corebox-profile{background:var(--menu-background-color);border-radius:3px;box-shadow:0 0 5px var(--header-border-shadow-color);padding:20px 30px;position:absolute;right:0;top:50px;width:250px}.corebox-profile>.corebox-profile-content{align-items:center;align-content:center;display:flex;flex-direction:column;font-size:16px;letter-spacing:.3px}.corebox-profile>.corebox-profile-content>ul{align-items:center;display:flex;flex-direction:column;list-style:none;margin:0;padding:0}.corebox-profile>.corebox-profile-content>ul>li{display:contents}.corebox-profile>.corebox-profile-content>ul>li>corebox-avatar{margin:0 0 16px}.corebox-profile>.corebox-profile-content>ul>li>a{color:var(--font-color);text-decoration:none}.corebox-profile>.corebox-profile-content>ul>li>.corebox-profile-info{color:var(--font-color);text-align:center;text-decoration:none}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile{border:1px solid;border-radius:20px;cursor:pointer;font-size:14px;margin:10px 0 0;padding:8px 40px;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile>fa-icon{margin-right:5px}.corebox-profile>.corebox-profile-content>ul>li>hr{margin:20px 0;width:100%}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout{border:1px solid;border-radius:3px;cursor:pointer;padding:5px 15px;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout>fa-icon{margin-right:5px}@media (max-width: 800px){.corebox-profile{border-radius:0;padding:0;right:-20px;top:44px;width:100vw}.corebox-profile>.corebox-profile-content>ul{align-items:flex-start;width:100%;height:calc(100vh - 56px)}.corebox-profile>.corebox-profile-content>ul>li{width:100%}.corebox-profile>.corebox-profile-content>ul>li>a{box-sizing:border-box;padding:20px;width:100%}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout{border:none;border-radius:0;padding:30px}.corebox-profile>.corebox-profile-content>ul>.corebox-li-profile-info{display:none}.corebox-profile>.corebox-profile-content>ul>.corebox-li-my-profile>.corebox-my-profile{border:none;border-radius:0;box-sizing:border-box;font-size:16px;margin:0;padding:30px}.corebox-profile>.corebox-profile-content>ul>.corebox-li-divisor{display:none}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "component", type: AvatarComponent, selector: "corebox-avatar", inputs: ["sessionName", "pathToAvatarImage", "size"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ProfileComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-profile', template: "<section class=\"corebox-profile\" [ngClass]=\"{ 'corebox-d-block': showProfile, 'corebox-d-none': !showProfile }\">\n\t<div class=\"corebox-profile-content\">\n\t\t<ul>\n\t\t\t<li class=\"corebox-li-profile-info\">\n\t\t\t\t<corebox-avatar\n\t\t\t\t\t[sessionName]=\"profileOptions?.userName\"\n\t\t\t\t\t[pathToAvatarImage]=\"profileOptions?.avatarUrl\"\n\t\t\t\t\t[size]=\"'corebox-lg'\"\n\t\t\t\t></corebox-avatar>\n\t\t\t\t<div class=\"corebox-profile-info\">\n\t\t\t\t\t<div>\n\t\t\t\t\t\t<strong>{{ profileOptions?.userName }}</strong>\n\t\t\t\t\t</div>\n\t\t\t\t\t<div>{{ profileOptions?.companyName }}</div>\n\t\t\t\t</div>\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-my-profile\">\n\t\t\t\t<a class=\"corebox-my-profile\" (click)=\"openMyProfile()\" *ngIf=\"profileUpdateExists()\">\n\t\t\t\t\t<fa-icon [icon]=\"profileOptions?.profileIcon ?? 'font-awesome'\"></fa-icon>\n\t\t\t\t\t<span>{{ profileOptions?.profileLabel }}</span>\n\t\t\t\t</a>\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-divisor\">\n\t\t\t\t<hr />\n\t\t\t</li>\n\t\t\t<li class=\"corebox-li-logout\">\n\t\t\t\t<a class=\"corebox-logout\" (click)=\"logout()\">\n\t\t\t\t\t<fa-icon [icon]=\"profileOptions?.logoutIcon ?? 'font-awesome'\"></fa-icon>\n\t\t\t\t\t<span>{{ profileOptions?.logoutLabel }}</span>\n\t\t\t\t</a>\n\t\t\t</li>\n\t\t</ul>\n\t</div>\n</section>\n", styles: [".corebox-profile{background:var(--menu-background-color);border-radius:3px;box-shadow:0 0 5px var(--header-border-shadow-color);padding:20px 30px;position:absolute;right:0;top:50px;width:250px}.corebox-profile>.corebox-profile-content{align-items:center;align-content:center;display:flex;flex-direction:column;font-size:16px;letter-spacing:.3px}.corebox-profile>.corebox-profile-content>ul{align-items:center;display:flex;flex-direction:column;list-style:none;margin:0;padding:0}.corebox-profile>.corebox-profile-content>ul>li{display:contents}.corebox-profile>.corebox-profile-content>ul>li>corebox-avatar{margin:0 0 16px}.corebox-profile>.corebox-profile-content>ul>li>a{color:var(--font-color);text-decoration:none}.corebox-profile>.corebox-profile-content>ul>li>.corebox-profile-info{color:var(--font-color);text-align:center;text-decoration:none}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile{border:1px solid;border-radius:20px;cursor:pointer;font-size:14px;margin:10px 0 0;padding:8px 40px;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-profile>.corebox-profile-content>ul>li>.corebox-my-profile>fa-icon{margin-right:5px}.corebox-profile>.corebox-profile-content>ul>li>hr{margin:20px 0;width:100%}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout{border:1px solid;border-radius:3px;cursor:pointer;padding:5px 15px;transition:all .4s;-webkit-transition:all .4s;-moz-transition:all .4s;-o-transition:all .4s}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout:hover{background-color:var(--menu-background-hover-color);color:var(--menu-font-hover-color)}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout>fa-icon{margin-right:5px}@media (max-width: 800px){.corebox-profile{border-radius:0;padding:0;right:-20px;top:44px;width:100vw}.corebox-profile>.corebox-profile-content>ul{align-items:flex-start;width:100%;height:calc(100vh - 56px)}.corebox-profile>.corebox-profile-content>ul>li{width:100%}.corebox-profile>.corebox-profile-content>ul>li>a{box-sizing:border-box;padding:20px;width:100%}.corebox-profile>.corebox-profile-content>ul>li>.corebox-logout{border:none;border-radius:0;padding:30px}.corebox-profile>.corebox-profile-content>ul>.corebox-li-profile-info{display:none}.corebox-profile>.corebox-profile-content>ul>.corebox-li-my-profile>.corebox-my-profile{border:none;border-radius:0;box-sizing:border-box;font-size:16px;margin:0;padding:30px}.corebox-profile>.corebox-profile-content>ul>.corebox-li-divisor{display:none}}\n"] }]
        }], propDecorators: { profileOptions: [{
                type: Input
            }], showProfile: [{
                type: Input
            }] } });

class HeaderComponent {
    router;
    profileOptions;
    appItems = [];
    menuClosed;
    showMenu = true;
    appsIsOpen = false;
    profileIsOpen = false;
    profileMenuButtonPressed = false;
    appsMenuButtonPressed = false;
    menuChanged = new EventEmitter();
    appsOpenedEvent = new EventEmitter();
    constructor(router) {
        this.router = router;
    }
    ngOnInit() {
        const localStorageItem = localStorage.getItem('menuClosed');
        if (window.innerWidth <= 800) {
            this.menuChanged.emit(false);
            localStorage.setItem('menuClosed', String(false));
        }
        else {
            if (localStorageItem === null) {
                this.menuChanged.emit(false);
                localStorage.setItem('menuClosed', String(false));
            }
            else {
                const menuClosed = localStorageItem === 'true' ? true : false;
                this.menuChanged.emit(menuClosed);
            }
        }
        document.body.addEventListener('click', () => {
            !this.profileMenuButtonPressed ? this.toogleProfileMenu(false) : (this.profileMenuButtonPressed = false);
            !this.appsMenuButtonPressed ? this.toogleAppsMenu(false) : (this.appsMenuButtonPressed = false);
        });
    }
    toogleProfileMenu = (pressionouBotao) => {
        this.profileMenuButtonPressed = pressionouBotao;
        if (pressionouBotao) {
            this.profileIsOpen = !this.profileIsOpen;
            if (window.innerWidth <= 800)
                this.menuChanged.emit(false);
        }
        else {
            this.profileIsOpen = false;
        }
    };
    toogleAppsMenu = (pressionouBotao) => {
        this.appsMenuButtonPressed = pressionouBotao;
        if (pressionouBotao) {
            this.appsIsOpen = !this.appsIsOpen;
            if (window.innerWidth <= 800)
                this.appsOpenedEvent.emit(false);
        }
        else {
            this.appsIsOpen = false;
        }
    };
    toogleMenu() {
        const localStorageItem = localStorage.getItem('menuClosed');
        const menuClosed = localStorageItem === 'true' ? true : false;
        localStorage.setItem('menuClosed', String(!menuClosed));
        this.menuChanged.emit(!menuClosed);
    }
    isMobile = () => {
        return window.innerWidth <= 800;
    };
    closeSubMenu = () => {
        if (!this.isMobile()) {
            let divSubmenu = document.getElementById('submenu');
            let divSubSubmenu = document.getElementById('subsubmenu');
            if (divSubmenu)
                divSubmenu.style.display = 'none';
            if (divSubSubmenu)
                divSubSubmenu.style.display = 'none';
        }
    };
    useClosedMenuClass() {
        return this.menuClosed && window.innerWidth > 800;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: HeaderComponent, deps: [{ token: i1.Router }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: HeaderComponent, selector: "corebox-header", inputs: { profileOptions: "profileOptions", appItems: "appItems", menuClosed: "menuClosed", showMenu: "showMenu" }, outputs: { menuChanged: "menuChanged", appsOpenedEvent: "appsOpenedEvent" }, ngImport: i0, template: "<header (click)=\"closeSubMenu()\" [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !showMenu }\">\n\t<div class=\"corebox-header-content\">\n\t\t<corebox-menu-button *ngIf=\"showMenu\" (click)=\"toogleMenu()\"></corebox-menu-button>\n\t\t<div *ngIf=\"!showMenu\"></div>\n\n\t\t<div class=\"corebox-apps-and-profile\">\n\t\t\t<div *ngIf=\"appItems && appItems.length > 0\" (click)=\"toogleAppsMenu(true)\">\n\t\t\t\t<corebox-apps-button></corebox-apps-button>\n\t\t\t\t<corebox-apps [appItems]=\"appItems\" [showApps]=\"appsIsOpen\"></corebox-apps>\n\t\t\t</div>\n\n\t\t\t<div class=\"corebox-profile\" *ngIf=\"profileOptions\" (click)=\"toogleProfileMenu(true)\">\n\t\t\t\t<corebox-avatar [sessionName]=\"profileOptions.userName\" [pathToAvatarImage]=\"profileOptions.avatarUrl\"></corebox-avatar>\n\t\t\t\t<corebox-profile [profileOptions]=\"profileOptions\" [showProfile]=\"profileIsOpen\"></corebox-profile>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</header>\n", styles: ["header{background-image:linear-gradient(to right,var(--header-background-color1),var(--header-background-color2));font-weight:400;min-height:55px;position:fixed;top:0;left:var(--menu-width);width:calc(100vw - var(--menu-width));z-index:1;transition:.4s}header.corebox-closed{left:var(--menu-closed-width);width:calc(100vw - var(--menu-closed-width))}header.full{left:0;width:100vw}header>.corebox-header-content{align-items:center;display:flex;justify-content:space-between;margin:0 auto;min-height:55px;padding:0 20px 0 15px}header>.corebox-header-content>.corebox-apps-and-profile{align-items:center;display:flex;flex-direction:row;position:relative}header>.corebox-header-content>.corebox-apps-and-profile>.corebox-profile{margin:0 0 0 20px}header>.corebox-header-content>.corebox-apps-and-profile>.corebox-profile>corebox-avatar{cursor:pointer}@media (max-width: 800px){header{background-image:linear-gradient(to right,var(--header-background-color1),var(--header-background-color2));font-weight:400;min-height:55px;position:fixed;top:0;left:0;width:100vw;z-index:1;transition:.2s}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: AppsButtonComponent, selector: "corebox-apps-button" }, { kind: "component", type: MenuButtonComponent, selector: "corebox-menu-button" }, { kind: "component", type: AppsComponent, selector: "corebox-apps", inputs: ["appItems", "showApps"] }, { kind: "component", type: AvatarComponent, selector: "corebox-avatar", inputs: ["sessionName", "pathToAvatarImage", "size"] }, { kind: "component", type: ProfileComponent, selector: "corebox-profile", inputs: ["profileOptions", "showProfile"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-header', template: "<header (click)=\"closeSubMenu()\" [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !showMenu }\">\n\t<div class=\"corebox-header-content\">\n\t\t<corebox-menu-button *ngIf=\"showMenu\" (click)=\"toogleMenu()\"></corebox-menu-button>\n\t\t<div *ngIf=\"!showMenu\"></div>\n\n\t\t<div class=\"corebox-apps-and-profile\">\n\t\t\t<div *ngIf=\"appItems && appItems.length > 0\" (click)=\"toogleAppsMenu(true)\">\n\t\t\t\t<corebox-apps-button></corebox-apps-button>\n\t\t\t\t<corebox-apps [appItems]=\"appItems\" [showApps]=\"appsIsOpen\"></corebox-apps>\n\t\t\t</div>\n\n\t\t\t<div class=\"corebox-profile\" *ngIf=\"profileOptions\" (click)=\"toogleProfileMenu(true)\">\n\t\t\t\t<corebox-avatar [sessionName]=\"profileOptions.userName\" [pathToAvatarImage]=\"profileOptions.avatarUrl\"></corebox-avatar>\n\t\t\t\t<corebox-profile [profileOptions]=\"profileOptions\" [showProfile]=\"profileIsOpen\"></corebox-profile>\n\t\t\t</div>\n\t\t</div>\n\t</div>\n</header>\n", styles: ["header{background-image:linear-gradient(to right,var(--header-background-color1),var(--header-background-color2));font-weight:400;min-height:55px;position:fixed;top:0;left:var(--menu-width);width:calc(100vw - var(--menu-width));z-index:1;transition:.4s}header.corebox-closed{left:var(--menu-closed-width);width:calc(100vw - var(--menu-closed-width))}header.full{left:0;width:100vw}header>.corebox-header-content{align-items:center;display:flex;justify-content:space-between;margin:0 auto;min-height:55px;padding:0 20px 0 15px}header>.corebox-header-content>.corebox-apps-and-profile{align-items:center;display:flex;flex-direction:row;position:relative}header>.corebox-header-content>.corebox-apps-and-profile>.corebox-profile{margin:0 0 0 20px}header>.corebox-header-content>.corebox-apps-and-profile>.corebox-profile>corebox-avatar{cursor:pointer}@media (max-width: 800px){header{background-image:linear-gradient(to right,var(--header-background-color1),var(--header-background-color2));font-weight:400;min-height:55px;position:fixed;top:0;left:0;width:100vw;z-index:1;transition:.2s}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }]; }, propDecorators: { profileOptions: [{
                type: Input
            }], appItems: [{
                type: Input
            }], menuClosed: [{
                type: Input
            }], showMenu: [{
                type: Input
            }], menuChanged: [{
                type: Output
            }], appsOpenedEvent: [{
                type: Output
            }] } });

class FooterComponent {
    companyName;
    menuClosed;
    showMenu = true;
    currentYear = new Date().getFullYear();
    useClosedMenuClass() {
        return this.menuClosed && window.innerWidth > 800;
    }
    closeSubMenu = () => {
        if (window.innerWidth >= 800) {
            let divSubmenu = document.getElementById('submenu');
            let divSubSubmenu = document.getElementById('subsubmenu');
            if (divSubmenu)
                divSubmenu.style.display = 'none';
            if (divSubSubmenu)
                divSubSubmenu.style.display = 'none';
        }
    };
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: FooterComponent, selector: "corebox-footer", inputs: { companyName: "companyName", menuClosed: "menuClosed", showMenu: "showMenu" }, ngImport: i0, template: "<footer [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !showMenu }\" (click)=\"closeSubMenu()\">\n\t<span *ngIf=\"companyName && currentYear\"><strong>Copyright</strong> {{ companyName }} \u00A9 {{ currentYear }}</span>\n</footer>\n", styles: ["footer{background:var(--footer-background-color);border-top:1px solid var(--footer-border-top-color);bottom:0;left:0;padding:10px 20px;position:fixed;right:0;z-index:-1;width:calc(100vw - var(--menu-width));left:var(--menu-width);transition:.2s}footer.corebox-closed{width:calc(100vw - var(--menu-closed-width));left:var(--menu-closed-width);transition:.4s}footer.full{left:0;width:100vw}footer>span{color:var(--footer-font-color)}@media (min-width: 992px){footer{display:block}}@media (max-width: 800px){footer{width:100vw;position:fixed;left:0}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-footer', template: "<footer [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !showMenu }\" (click)=\"closeSubMenu()\">\n\t<span *ngIf=\"companyName && currentYear\"><strong>Copyright</strong> {{ companyName }} \u00A9 {{ currentYear }}</span>\n</footer>\n", styles: ["footer{background:var(--footer-background-color);border-top:1px solid var(--footer-border-top-color);bottom:0;left:0;padding:10px 20px;position:fixed;right:0;z-index:-1;width:calc(100vw - var(--menu-width));left:var(--menu-width);transition:.2s}footer.corebox-closed{width:calc(100vw - var(--menu-closed-width));left:var(--menu-closed-width);transition:.4s}footer.full{left:0;width:100vw}footer>span{color:var(--footer-font-color)}@media (min-width: 992px){footer{display:block}}@media (max-width: 800px){footer{width:100vw;position:fixed;left:0}}\n"] }]
        }], propDecorators: { companyName: [{
                type: Input
            }], menuClosed: [{
                type: Input
            }], showMenu: [{
                type: Input
            }] } });

class TemplateComponent {
    themes = [];
    pathToAvatarImage = '';
    menuItems = [];
    appItems = [];
    menuOptions;
    profileOptions;
    menuClosed = false;
    appsIsOpen = false;
    ngOnInit() {
        let theme = this.themes.filter((theme) => theme.selected)[0];
        if (theme) {
            document.documentElement.style.setProperty('--background-color', theme.backgroundColor);
            document.documentElement.style.setProperty('--header-background-color1', theme.header.backgroundColor1);
            document.documentElement.style.setProperty('--header-background-color2', theme.header.backgroundColor2 === '' || theme.header.backgroundColor2 === null || theme.header.backgroundColor2 === undefined
                ? theme.header.backgroundColor1
                : theme.header.backgroundColor2);
            document.documentElement.style.setProperty('--scroll-color', theme.scrollColor);
            document.documentElement.style.setProperty('--header-icon--background-color', theme.header.iconBackgroundColor);
            document.documentElement.style.setProperty('--header-icon--font-color', theme.header.iconFontColor);
            document.documentElement.style.setProperty('--header-border-shadow-color', theme.header.borderShadowColor);
            document.documentElement.style.setProperty('--menu-font-color', theme.menu.fontColor);
            document.documentElement.style.setProperty('--menu-font-hover-color', theme.menu.fontHoverColor);
            document.documentElement.style.setProperty('--menu-background-color', theme.menu.backgroundColor);
            document.documentElement.style.setProperty('--menu-background-hover-color', theme.menu.backgroundHoverColor);
            document.documentElement.style.setProperty('--menu-border-left-color', theme.menu.borderLeftColor);
            document.documentElement.style.setProperty('--menu-submenu-background-color', theme.menu.subMenuBackgroundColor);
            document.documentElement.style.setProperty('--menu-submenu-selected-background-color', theme.menu.subMenuSelectedBackgroundColor);
            document.documentElement.style.setProperty('--menu-selected-font-color', theme.menu.menuSelectedFontColor);
            document.documentElement.style.setProperty('--footer-background-color', theme.footer.backgroundColor);
            document.documentElement.style.setProperty('--footer-font-color', theme.footer.fontColor);
            document.documentElement.style.setProperty('--footer-border-top-color', theme.footer.borderTopColor);
        }
    }
    getMenuOptions = () => {
        let theme = this.themes.filter((theme) => theme.selected)[0];
        return theme.menuOptions;
    };
    getCompanyName = () => {
        let theme = this.themes.filter((theme) => theme.selected)[0];
        return theme?.footer?.companyName !== '' ? theme.footer.companyName : 'Company name';
    };
    appsOpened($event) {
        this.appsIsOpen = $event;
    }
    useClosedMenuClass() {
        return this.menuClosed && window.innerWidth > 800;
    }
    useMenuOpenedClass() {
        return this.menuClosed && window.innerWidth <= 800;
    }
    toggleMenu(state) {
        this.menuClosed = state;
    }
    closeSubMenu = () => {
        if (window.innerWidth >= 800) {
            let divSubmenu = document.getElementById('submenu');
            let divSubSubmenu = document.getElementById('subsubmenu');
            if (divSubmenu)
                divSubmenu.style.display = 'none';
            if (divSubSubmenu)
                divSubSubmenu.style.display = 'none';
        }
    };
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TemplateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: TemplateComponent, selector: "corebox-template", inputs: { themes: "themes", pathToAvatarImage: "pathToAvatarImage", menuItems: "menuItems", appItems: "appItems", menuOptions: "menuOptions", profileOptions: "profileOptions" }, ngImport: i0, template: "<div class=\"corebox\">\n\t<div *ngIf=\"getMenuOptions().showMenu\" class=\"corebox-left\">\n\t\t<div id=\"nav-menu\" class=\"corebox-menu\" [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), 'corebox-opened': useMenuOpenedClass() }\">\n\t\t\t<corebox-menu [menuClosed]=\"menuClosed\" [menuItems]=\"menuItems\" [menuOptions]=\"getMenuOptions()\" (menuChanged)=\"toggleMenu($event)\" />\n\t\t</div>\n\t</div>\n\n\t<div class=\"corebox-right\">\n\t\t<div id=\"header\" class=\"corebox-header\">\n\t\t\t<corebox-header\n\t\t\t\t[showMenu]=\"getMenuOptions().showMenu\"\n\t\t\t\t[menuClosed]=\"menuClosed\"\n\t\t\t\t[profileOptions]=\"profileOptions\"\n\t\t\t\t[appItems]=\"appItems\"\n\t\t\t\t(menuChanged)=\"toggleMenu($event)\"\n\t\t\t\t(appsOpenedEvent)=\"appsOpened($event)\"\n\t\t\t/>\n\t\t</div>\n\t\t<section\n\t\t\tclass=\"corebox-content\"\n\t\t\t[ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !getMenuOptions().showMenu }\"\n\t\t\t(click)=\"closeSubMenu()\"\n\t\t>\n\t\t\t<router-outlet />\n\t\t</section>\n\t\t<corebox-footer [showMenu]=\"getMenuOptions().showMenu\" [menuClosed]=\"menuClosed\" [companyName]=\"getCompanyName()\" />\n\t</div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css?family=Open Sans\";:root{--background-color: #f9f9f9;--header-background-color1: #000000;--header-background-color2: #ffffff;--header-icon--background-color: #ffffff;--header-icon--font-color: #ffffff;--header-border-shadow-color: \"#00000040\";--scroll-color: #ed4b4b;--menu-font-color: #000000;--menu-font-hover-color: #ed4b4b;--menu-background-color: #ffffff;--menu-background-hover-color: 11111114;--menu-border-left-color: #ed4b4b;--menu-submenu-background-color: \"#dedede\";--menu-submenu-selected-background-color: #e0e0e0;--menu-selected-font-color: #ed4b4b;--footer-background-color: #ffffff;--footer-font-color: #111111;--footer-border-top-color: #e7eaec;--menu-width: 250px;--menu-closed-width: 70px;--menu-logo-height: 110px;--header-height: 55px;--footer-height: 36px;--font-size: 13px}body{background-color:var(--background-color)}body,html{font-family:Open Sans,sans-serif;font-size:var(--font-size);margin:0;padding:0}.corebox-d-none{display:none}.corebox-d-block{display:block}.corebox{width:100vw;margin:auto}.corebox>.corebox-left{float:left}.corebox>.corebox-left>.corebox-menu{display:block;float:left;width:var(--menu-width)}.corebox>.corebox-left>.corebox-menu.corebox-closed{display:contents;transition:all .4s}.corebox>.corebox-left>.corebox-menu.corebox-opened{display:block;width:100vw}.corebox>.corebox-right>.corebox-header{float:right;width:calc(100vw - var(--menu-width))}.corebox>.corebox-right>.corebox-content{background-color:var(--background-color);width:calc(100vw - var(--menu-width));height:calc(100vh - 90px);overflow:auto;position:absolute;z-index:-1;left:var(--menu-width);top:var(--header-height)}.corebox>.corebox-right>.corebox-content.corebox-closed{left:var(--menu-closed-width);width:calc(100vw - var(--menu-closed-width))}.corebox>.corebox-right>.corebox-content.full{left:0;width:100vw}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar-track{background-color:transparent}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar{background-color:transparent;width:6px;height:10px}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}@media (max-width: 800px){.corebox>.corebox-right>.corebox-content{width:100vw;left:0}}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.RouterOutlet, selector: "router-outlet", inputs: ["name"], outputs: ["activate", "deactivate", "attach", "detach"], exportAs: ["outlet"] }, { kind: "component", type: FooterComponent, selector: "corebox-footer", inputs: ["companyName", "menuClosed", "showMenu"] }, { kind: "component", type: HeaderComponent, selector: "corebox-header", inputs: ["profileOptions", "appItems", "menuClosed", "showMenu"], outputs: ["menuChanged", "appsOpenedEvent"] }, { kind: "component", type: MenuComponent, selector: "corebox-menu", inputs: ["menuClosed", "menuItems", "menuOptions"], outputs: ["menuChanged"] }], encapsulation: i0.ViewEncapsulation.None });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TemplateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-template', encapsulation: ViewEncapsulation.None, template: "<div class=\"corebox\">\n\t<div *ngIf=\"getMenuOptions().showMenu\" class=\"corebox-left\">\n\t\t<div id=\"nav-menu\" class=\"corebox-menu\" [ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), 'corebox-opened': useMenuOpenedClass() }\">\n\t\t\t<corebox-menu [menuClosed]=\"menuClosed\" [menuItems]=\"menuItems\" [menuOptions]=\"getMenuOptions()\" (menuChanged)=\"toggleMenu($event)\" />\n\t\t</div>\n\t</div>\n\n\t<div class=\"corebox-right\">\n\t\t<div id=\"header\" class=\"corebox-header\">\n\t\t\t<corebox-header\n\t\t\t\t[showMenu]=\"getMenuOptions().showMenu\"\n\t\t\t\t[menuClosed]=\"menuClosed\"\n\t\t\t\t[profileOptions]=\"profileOptions\"\n\t\t\t\t[appItems]=\"appItems\"\n\t\t\t\t(menuChanged)=\"toggleMenu($event)\"\n\t\t\t\t(appsOpenedEvent)=\"appsOpened($event)\"\n\t\t\t/>\n\t\t</div>\n\t\t<section\n\t\t\tclass=\"corebox-content\"\n\t\t\t[ngClass]=\"{ 'corebox-closed': useClosedMenuClass(), full: !getMenuOptions().showMenu }\"\n\t\t\t(click)=\"closeSubMenu()\"\n\t\t>\n\t\t\t<router-outlet />\n\t\t</section>\n\t\t<corebox-footer [showMenu]=\"getMenuOptions().showMenu\" [menuClosed]=\"menuClosed\" [companyName]=\"getCompanyName()\" />\n\t</div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css?family=Open Sans\";:root{--background-color: #f9f9f9;--header-background-color1: #000000;--header-background-color2: #ffffff;--header-icon--background-color: #ffffff;--header-icon--font-color: #ffffff;--header-border-shadow-color: \"#00000040\";--scroll-color: #ed4b4b;--menu-font-color: #000000;--menu-font-hover-color: #ed4b4b;--menu-background-color: #ffffff;--menu-background-hover-color: 11111114;--menu-border-left-color: #ed4b4b;--menu-submenu-background-color: \"#dedede\";--menu-submenu-selected-background-color: #e0e0e0;--menu-selected-font-color: #ed4b4b;--footer-background-color: #ffffff;--footer-font-color: #111111;--footer-border-top-color: #e7eaec;--menu-width: 250px;--menu-closed-width: 70px;--menu-logo-height: 110px;--header-height: 55px;--footer-height: 36px;--font-size: 13px}body{background-color:var(--background-color)}body,html{font-family:Open Sans,sans-serif;font-size:var(--font-size);margin:0;padding:0}.corebox-d-none{display:none}.corebox-d-block{display:block}.corebox{width:100vw;margin:auto}.corebox>.corebox-left{float:left}.corebox>.corebox-left>.corebox-menu{display:block;float:left;width:var(--menu-width)}.corebox>.corebox-left>.corebox-menu.corebox-closed{display:contents;transition:all .4s}.corebox>.corebox-left>.corebox-menu.corebox-opened{display:block;width:100vw}.corebox>.corebox-right>.corebox-header{float:right;width:calc(100vw - var(--menu-width))}.corebox>.corebox-right>.corebox-content{background-color:var(--background-color);width:calc(100vw - var(--menu-width));height:calc(100vh - 90px);overflow:auto;position:absolute;z-index:-1;left:var(--menu-width);top:var(--header-height)}.corebox>.corebox-right>.corebox-content.corebox-closed{left:var(--menu-closed-width);width:calc(100vw - var(--menu-closed-width))}.corebox>.corebox-right>.corebox-content.full{left:0;width:100vw}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar-track{background-color:transparent}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar{background-color:transparent;width:6px;height:10px}.corebox>.corebox-right>.corebox-content::-webkit-scrollbar-thumb{background-color:var(--scroll-color)}@media (max-width: 800px){.corebox>.corebox-right>.corebox-content{width:100vw;left:0}}\n"] }]
        }], propDecorators: { themes: [{
                type: Input
            }], pathToAvatarImage: [{
                type: Input
            }], menuItems: [{
                type: Input
            }], appItems: [{
                type: Input
            }], menuOptions: [{
                type: Input
            }], profileOptions: [{
                type: Input
            }] } });

class ModalComponent {
    closeIcon;
    cancelButtonClass;
    cancelButtonText;
    content;
    submitButtonText;
    title;
    titleBackgroundColor;
    titleFontColor;
    titleIcon;
    submitEvent = new EventEmitter();
    closeEvent = new EventEmitter();
    submit() {
        this.submitEvent.emit();
    }
    close() {
        this.closeEvent.emit();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ModalComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: ModalComponent, selector: "corebox-modal", inputs: { closeIcon: "closeIcon", cancelButtonClass: "cancelButtonClass", cancelButtonText: "cancelButtonText", content: "content", submitButtonText: "submitButtonText", title: "title", titleBackgroundColor: "titleBackgroundColor", titleFontColor: "titleFontColor", titleIcon: "titleIcon" }, outputs: { submitEvent: "submitEvent", closeEvent: "closeEvent" }, ngImport: i0, template: "<div class=\"corebox-modal-header\" [style.background-color]=\"titleBackgroundColor\">\n\t<h1>\n\t\t<fa-icon [icon]=\"titleIcon ?? 'font-awesome'\" class=\"fa-sm\" [style.color]=\"titleFontColor\"></fa-icon>\n\t\t<span [style.color]=\"titleFontColor\">{{ title }}</span>\n\t</h1>\n\t<button class=\"btn btn-sm\" (click)=\"close()\">\n\t\t<fa-icon [icon]=\"closeIcon ?? 'xmark'\" class=\"fa-lg\"></fa-icon>\n\t</button>\n</div>\n\n<div class=\"corebox-modal-content\">\n\t<p>{{ content }}</p>\n</div>\n\n<div class=\"corebox-modal-actions\">\n\t<button class=\"btn btn-outline-secondary\" (click)=\"submit()\" ngbAutofocus>{{ submitButtonText }}</button>\n\t<button class=\"btn\" [ngClass]=\"cancelButtonClass\" (click)=\"close()\">{{ cancelButtonText }}</button>\n</div>\n", styles: [".corebox-modal-header{align-items:center;display:flex;justify-content:space-between;padding:10px 20px}.corebox-modal-header>h1{color:#fff;font-size:16px;font-weight:700;margin:0}.corebox-modal-header>h1>span{margin-left:6px}.corebox-modal-header>button{color:#fff}.corebox-modal-content{margin:35px 20px 0}.corebox-modal-content>p{color:#000000c0;font-size:14px;font-weight:600;margin:0}.corebox-modal-actions{display:flex;justify-content:flex-end;margin:60px 20px 20px}.corebox-modal-actions>button{color:#fff;font-size:14px;font-weight:600}.corebox-modal-actions>button:first-child{color:#00000098;margin-right:10px}.corebox-modal-actions>button:first-child:hover{color:#fff}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-modal', template: "<div class=\"corebox-modal-header\" [style.background-color]=\"titleBackgroundColor\">\n\t<h1>\n\t\t<fa-icon [icon]=\"titleIcon ?? 'font-awesome'\" class=\"fa-sm\" [style.color]=\"titleFontColor\"></fa-icon>\n\t\t<span [style.color]=\"titleFontColor\">{{ title }}</span>\n\t</h1>\n\t<button class=\"btn btn-sm\" (click)=\"close()\">\n\t\t<fa-icon [icon]=\"closeIcon ?? 'xmark'\" class=\"fa-lg\"></fa-icon>\n\t</button>\n</div>\n\n<div class=\"corebox-modal-content\">\n\t<p>{{ content }}</p>\n</div>\n\n<div class=\"corebox-modal-actions\">\n\t<button class=\"btn btn-outline-secondary\" (click)=\"submit()\" ngbAutofocus>{{ submitButtonText }}</button>\n\t<button class=\"btn\" [ngClass]=\"cancelButtonClass\" (click)=\"close()\">{{ cancelButtonText }}</button>\n</div>\n", styles: [".corebox-modal-header{align-items:center;display:flex;justify-content:space-between;padding:10px 20px}.corebox-modal-header>h1{color:#fff;font-size:16px;font-weight:700;margin:0}.corebox-modal-header>h1>span{margin-left:6px}.corebox-modal-header>button{color:#fff}.corebox-modal-content{margin:35px 20px 0}.corebox-modal-content>p{color:#000000c0;font-size:14px;font-weight:600;margin:0}.corebox-modal-actions{display:flex;justify-content:flex-end;margin:60px 20px 20px}.corebox-modal-actions>button{color:#fff;font-size:14px;font-weight:600}.corebox-modal-actions>button:first-child{color:#00000098;margin-right:10px}.corebox-modal-actions>button:first-child:hover{color:#fff}\n"] }]
        }], propDecorators: { closeIcon: [{
                type: Input
            }], cancelButtonClass: [{
                type: Input
            }], cancelButtonText: [{
                type: Input
            }], content: [{
                type: Input
            }], submitButtonText: [{
                type: Input
            }], title: [{
                type: Input
            }], titleBackgroundColor: [{
                type: Input
            }], titleFontColor: [{
                type: Input
            }], titleIcon: [{
                type: Input
            }], submitEvent: [{
                type: Output
            }], closeEvent: [{
                type: Output
            }] } });

class ErrorPageComponent {
    route;
    description = '';
    statusCode = '';
    title = '';
    errorMessage = '';
    queryParams;
    constructor(route) {
        this.route = route;
    }
    ngDoCheck() {
        this.getQueryParams();
    }
    getQueryParams() {
        this.route.queryParams.subscribe((params) => (this.queryParams = params));
        this.description = this.queryParams.description ?? this.description;
        this.errorMessage = this.queryParams.errorMessage;
        this.statusCode = this.queryParams.statusCode ?? this.statusCode;
        this.title = this.queryParams.title ?? this.title;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ErrorPageComponent, deps: [{ token: i1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: ErrorPageComponent, selector: "corebox-error-page", inputs: { description: "description", statusCode: "statusCode", title: "title" }, ngImport: i0, template: "<section>\n\t<h2>{{ title }}</h2>\n\t<h1>{{ statusCode }}</h1>\n\t<div>\n\t\t<p>{{ description }}</p>\n\t\t<p>{{ errorMessage }}</p>\n\t</div>\n</section>\n", styles: ["section{align-content:center;align-items:center;display:flex;flex-direction:column;height:100%;justify-content:center;text-align:center}section>h1{font-size:150px;font-weight:700}section>h2{font-size:40px;font-weight:700;margin:0}section>div>p{font-size:22px;margin:0}\n"] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: ErrorPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'corebox-error-page', template: "<section>\n\t<h2>{{ title }}</h2>\n\t<h1>{{ statusCode }}</h1>\n\t<div>\n\t\t<p>{{ description }}</p>\n\t\t<p>{{ errorMessage }}</p>\n\t</div>\n</section>\n", styles: ["section{align-content:center;align-items:center;display:flex;flex-direction:column;height:100%;justify-content:center;text-align:center}section>h1{font-size:150px;font-weight:700}section>h2{font-size:40px;font-weight:700;margin:0}section>div>p{font-size:22px;margin:0}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.ActivatedRoute }]; }, propDecorators: { description: [{
                type: Input
            }], statusCode: [{
                type: Input
            }], title: [{
                type: Input
            }] } });

class FloatButtonService {
    state$;
    state;
    stateSubject$;
    constructor() {
        this.state = {};
        this.stateSubject$ = new BehaviorSubject(this.state);
        this.state$ = this.stateSubject$.asObservable();
    }
    get currentState() {
        return this.state;
    }
    publish(newState) {
        this.state = newState;
        this.stateSubject$.next(newState);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
    static ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonService });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return []; } });

class TooltipComponent {
    tooltip = 'tooltip';
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TooltipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: TooltipComponent, selector: "corebox-tooltip", inputs: { tooltip: "tooltip" }, ngImport: i0, template: `<div>{{ tooltip }}</div>`, isInline: true, styles: ["div{background:rgb(44,39,39);color:#fff;padding:8px;border-radius:5px;font-size:1rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TooltipComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, selector: 'corebox-tooltip', template: `<div>{{ tooltip }}</div>`, styles: ["div{background:rgb(44,39,39);color:#fff;padding:8px;border-radius:5px;font-size:1rem}\n"] }]
        }], propDecorators: { tooltip: [{
                type: Input
            }] } });

class TooltipDirective {
    overlayPositionBuilder;
    elementRef;
    overlay;
    tooltip = 'tooltip';
    _overlayRef;
    tooltipRef;
    constructor(overlayPositionBuilder, elementRef, overlay) {
        this.overlayPositionBuilder = overlayPositionBuilder;
        this.elementRef = elementRef;
        this.overlay = overlay;
    }
    ngOnInit() {
        const positionStrategy = this.overlayPositionBuilder.flexibleConnectedTo(this.elementRef).withPositions([
            {
                offsetX: -45,
                originX: 'start',
                originY: 'center',
                overlayX: 'end',
                overlayY: 'center'
            }
        ]);
        this._overlayRef = this.overlay.create({ positionStrategy });
    }
    show() {
        const tooltipPortal = new ComponentPortal(TooltipComponent);
        this.tooltipRef = this._overlayRef.attach(tooltipPortal);
        this.tooltipRef.instance.tooltip = this.tooltip;
    }
    hide() {
        this._overlayRef.detach();
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TooltipDirective, deps: [{ token: i1$1.OverlayPositionBuilder }, { token: i0.ElementRef }, { token: i1$1.Overlay }], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.4", type: TooltipDirective, selector: "[coreboxTooltip]", inputs: { tooltip: ["coreboxTooltip", "tooltip"] }, exportAs: ["coreboxTooltip"], ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: TooltipDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[coreboxTooltip]',
                    exportAs: 'coreboxTooltip'
                }]
        }], ctorParameters: function () { return [{ type: i1$1.OverlayPositionBuilder }, { type: i0.ElementRef }, { type: i1$1.Overlay }]; }, propDecorators: { tooltip: [{
                type: Input,
                args: ['coreboxTooltip']
            }] } });

class FloatButtonItemComponent {
    stateService;
    icon = 'flag';
    tooltip = '';
    color = 'btn-secondary';
    disabled = false;
    tooltipDisabled = false;
    clicked = new EventEmitter();
    elementRef;
    tooltipRef;
    constructor(stateService) {
        this.stateService = stateService;
    }
    onClick() {
        if (!this.disabled) {
            const currentState = this.stateService.currentState;
            const newState = { ...currentState, isOpen: !currentState.isOpen };
            this.stateService.publish(newState);
            this.clicked.emit();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonItemComponent, deps: [{ token: FloatButtonService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: FloatButtonItemComponent, selector: "corebox-float-button-item", inputs: { icon: "icon", tooltip: "tooltip", color: "color", disabled: "disabled", tooltipDisabled: "tooltipDisabled" }, outputs: { clicked: "clicked" }, host: { listeners: { "click": "onClick()" } }, viewQueries: [{ propertyName: "elementRef", first: true, predicate: ["elementRef"], descendants: true, read: ElementRef }, { propertyName: "tooltipRef", first: true, predicate: ["tooltipRef"], descendants: true }], ngImport: i0, template: "<button\n\t#tooltipRef=\"coreboxTooltip\"\n\t#elementRef\n\tcoreboxTooltip\n\tclass=\"m-0 p-0 btn\"\n\t[ngClass]=\"color\"\n\t[disabled]=\"disabled\"\n\t[coreboxTooltip]=\"tooltip\"\n>\n\t<fa-stack>\n\t\t<fa-icon icon=\"circle\" stackItemSize=\"2x\" class=\"opacity-0\" />\n\t\t<fa-icon [icon]=\"icon\" [inverse]=\"true\" stackItemSize=\"1x\" />\n\t</fa-stack>\n</button>\n", styles: ["button{box-shadow:0 4px 10px #0006;font-size:20px}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "component", type: i3.FaStackComponent, selector: "fa-stack", inputs: ["size"] }, { kind: "directive", type: i3.FaStackItemSizeDirective, selector: "fa-icon[stackItemSize],fa-duotone-icon[stackItemSize]", inputs: ["stackItemSize", "size"] }, { kind: "directive", type: TooltipDirective, selector: "[coreboxTooltip]", inputs: ["coreboxTooltip"], exportAs: ["coreboxTooltip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonItemComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, selector: 'corebox-float-button-item', template: "<button\n\t#tooltipRef=\"coreboxTooltip\"\n\t#elementRef\n\tcoreboxTooltip\n\tclass=\"m-0 p-0 btn\"\n\t[ngClass]=\"color\"\n\t[disabled]=\"disabled\"\n\t[coreboxTooltip]=\"tooltip\"\n>\n\t<fa-stack>\n\t\t<fa-icon icon=\"circle\" stackItemSize=\"2x\" class=\"opacity-0\" />\n\t\t<fa-icon [icon]=\"icon\" [inverse]=\"true\" stackItemSize=\"1x\" />\n\t</fa-stack>\n</button>\n", styles: ["button{box-shadow:0 4px 10px #0006;font-size:20px}\n"] }]
        }], ctorParameters: function () { return [{ type: FloatButtonService }]; }, propDecorators: { icon: [{
                type: Input
            }], tooltip: [{
                type: Input,
                args: [{ required: true }]
            }], color: [{
                type: Input
            }], disabled: [{
                type: Input
            }], tooltipDisabled: [{
                type: Input
            }], clicked: [{
                type: Output
            }], elementRef: [{
                type: ViewChild,
                args: ['elementRef', { read: ElementRef }]
            }], tooltipRef: [{
                type: ViewChild,
                args: ['tooltipRef']
            }], onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class FloatButtonComponent {
    stateService;
    icon = 'flag';
    color = 'btn-primary';
    marginBottom = '75px';
    marginRight = '50px';
    disabled = false;
    isOpen = false;
    hoverable = false;
    clicked = new EventEmitter();
    _initState = {};
    _stateSubscription;
    buttons;
    constructor(stateService) {
        this.stateService = stateService;
    }
    ngOnInit() {
        this._initState = {
            isHoverable: this.hoverable,
            isOpen: this.isOpen
        };
        this.stateService.publish(this._initState);
    }
    ngOnChanges(changes) {
        if (changes['isOpen'] && changes['isOpen'].previousValue != changes['isOpen'].currentValue) {
            const newState = { ...this.stateService.currentState, isOpen: changes['isOpen'].currentValue };
            this.stateService.publish(newState);
        }
        if (changes['hoverable'] && changes['hoverable'].previousValue != changes['hoverable'].currentValue) {
            const newState = { ...this.stateService.currentState, isHoverable: changes['hoverable'].currentValue };
            this.stateService.publish(newState);
        }
    }
    ngAfterViewInit() {
        this._stateSubscription = this.stateService.state$.subscribe((newState) => this.showTooltips(newState));
    }
    ngOnDestroy() {
        this._stateSubscription.unsubscribe();
    }
    showTooltips(state) {
        const isOpen = state.isOpen;
        const buttons = this.buttons.toArray();
        if (isOpen) {
            buttons.forEach((b) => !b.tooltipDisabled && b.tooltipRef.show());
        }
        else {
            buttons.forEach((b) => b.tooltipRef.hide());
        }
    }
    toggle() {
        const state = this.stateService.currentState;
        const newState = { ...state, isOpen: !state.isOpen };
        this.stateService.publish(newState);
        if (!state.isHoverable) {
            this.clicked.emit();
        }
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonComponent, deps: [{ token: FloatButtonService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.4", type: FloatButtonComponent, selector: "corebox-float-button", inputs: { icon: "icon", color: "color", marginBottom: "marginBottom", marginRight: "marginRight", disabled: "disabled", isOpen: "isOpen", hoverable: "hoverable" }, outputs: { clicked: "clicked" }, queries: [{ propertyName: "buttons", predicate: FloatButtonItemComponent }], usesOnChanges: true, ngImport: i0, template: "<div\n\tclass=\"float-button\"\n\t[style.margin-bottom]=\"marginBottom\"\n\t[style.margin-right]=\"marginRight\"\n\t(mouseenter)=\"!disabled && stateService.currentState.isHoverable && toggle()\"\n\t(mouseleave)=\"!disabled && stateService.currentState.isOpen && stateService.currentState.isHoverable && toggle()\"\n>\n\t<button\n\t\t(click)=\"!stateService.currentState.isHoverable && toggle()\"\n\t\t[@openClose]=\"stateService.currentState.isOpen ? 'open' : 'closed'\"\n\t\tclass=\"m-0 p-0 btn\"\n\t\t[ngClass]=\"color\"\n\t\t[disabled]=\"disabled\"\n\t>\n\t\t<fa-stack>\n\t\t\t<fa-icon icon=\"circle\" stackItemSize=\"2x\" class=\"opacity-0\" />\n\t\t\t<fa-icon [icon]=\"icon\" [inverse]=\"true\" stackItemSize=\"1x\" />\n\t\t</fa-stack>\n\t</button>\n\n\t<div\n\t\tclass=\"float-button-items\"\n\t\t[style]=\"{ height: stateService.currentState.isOpen ? '100%' : '0px' }\"\n\t\t[@accordion]=\"(stateService.state$ | async)!.isOpen ? 'open' : 'closed'\"\n\t>\n\t\t<ng-content></ng-content>\n\t</div>\n</div>\n", styles: [".float-button{align-items:center;bottom:0;display:flex;flex-direction:column-reverse;gap:20px;position:fixed;right:0;z-index:100000000000}.float-button>button{box-shadow:0 4px 10px #0006;font-size:20px}.float-button-items{align-items:center;display:flex;font-size:20px;flex-direction:column-reverse;gap:5px}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "component", type: i3.FaIconComponent, selector: "fa-icon", inputs: ["icon", "title", "animation", "spin", "pulse", "mask", "styles", "flip", "size", "pull", "border", "inverse", "symbol", "rotate", "fixedWidth", "classes", "transform", "a11yRole"] }, { kind: "component", type: i3.FaStackComponent, selector: "fa-stack", inputs: ["size"] }, { kind: "directive", type: i3.FaStackItemSizeDirective, selector: "fa-icon[stackItemSize],fa-duotone-icon[stackItemSize]", inputs: ["stackItemSize", "size"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }], animations: [
            trigger('accordion', [
                state('open', style({
                    visibility: 'visible'
                })),
                state('closed', style({
                    visibility: 'hidden'
                })),
                transition('open => closed', query('corebox-float-button-item', [style({ transform: 'scale(1)' }), stagger(100, [animate('0.05s', style({ transform: 'scale(0)' }))])], { optional: true })),
                transition('closed => open', [
                    style({ visibility: 'visible' }),
                    query('corebox-float-button-item', [style({ transform: 'scale(0)' }), stagger(100, [animate('0.05s', style({ transform: 'scale(1)' }))])], { optional: true })
                ])
            ]),
            trigger('openClose', [
                state('open', style({ transform: 'scale(1.2)' })),
                state('closed', style({ transform: 'scale(1)' })),
                transition('open => closed', [animate('0.1s')]),
                transition('closed => open', [animate('0.1s')])
            ])
        ], changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: FloatButtonComponent, decorators: [{
            type: Component,
            args: [{ changeDetection: ChangeDetectionStrategy.OnPush, selector: 'corebox-float-button', animations: [
                        trigger('accordion', [
                            state('open', style({
                                visibility: 'visible'
                            })),
                            state('closed', style({
                                visibility: 'hidden'
                            })),
                            transition('open => closed', query('corebox-float-button-item', [style({ transform: 'scale(1)' }), stagger(100, [animate('0.05s', style({ transform: 'scale(0)' }))])], { optional: true })),
                            transition('closed => open', [
                                style({ visibility: 'visible' }),
                                query('corebox-float-button-item', [style({ transform: 'scale(0)' }), stagger(100, [animate('0.05s', style({ transform: 'scale(1)' }))])], { optional: true })
                            ])
                        ]),
                        trigger('openClose', [
                            state('open', style({ transform: 'scale(1.2)' })),
                            state('closed', style({ transform: 'scale(1)' })),
                            transition('open => closed', [animate('0.1s')]),
                            transition('closed => open', [animate('0.1s')])
                        ])
                    ], template: "<div\n\tclass=\"float-button\"\n\t[style.margin-bottom]=\"marginBottom\"\n\t[style.margin-right]=\"marginRight\"\n\t(mouseenter)=\"!disabled && stateService.currentState.isHoverable && toggle()\"\n\t(mouseleave)=\"!disabled && stateService.currentState.isOpen && stateService.currentState.isHoverable && toggle()\"\n>\n\t<button\n\t\t(click)=\"!stateService.currentState.isHoverable && toggle()\"\n\t\t[@openClose]=\"stateService.currentState.isOpen ? 'open' : 'closed'\"\n\t\tclass=\"m-0 p-0 btn\"\n\t\t[ngClass]=\"color\"\n\t\t[disabled]=\"disabled\"\n\t>\n\t\t<fa-stack>\n\t\t\t<fa-icon icon=\"circle\" stackItemSize=\"2x\" class=\"opacity-0\" />\n\t\t\t<fa-icon [icon]=\"icon\" [inverse]=\"true\" stackItemSize=\"1x\" />\n\t\t</fa-stack>\n\t</button>\n\n\t<div\n\t\tclass=\"float-button-items\"\n\t\t[style]=\"{ height: stateService.currentState.isOpen ? '100%' : '0px' }\"\n\t\t[@accordion]=\"(stateService.state$ | async)!.isOpen ? 'open' : 'closed'\"\n\t>\n\t\t<ng-content></ng-content>\n\t</div>\n</div>\n", styles: [".float-button{align-items:center;bottom:0;display:flex;flex-direction:column-reverse;gap:20px;position:fixed;right:0;z-index:100000000000}.float-button>button{box-shadow:0 4px 10px #0006;font-size:20px}.float-button-items{align-items:center;display:flex;font-size:20px;flex-direction:column-reverse;gap:5px}\n"] }]
        }], ctorParameters: function () { return [{ type: FloatButtonService }]; }, propDecorators: { icon: [{
                type: Input
            }], color: [{
                type: Input
            }], marginBottom: [{
                type: Input
            }], marginRight: [{
                type: Input
            }], disabled: [{
                type: Input
            }], isOpen: [{
                type: Input
            }], hoverable: [{
                type: Input
            }], clicked: [{
                type: Output
            }], buttons: [{
                type: ContentChildren,
                args: [FloatButtonItemComponent]
            }] } });

class NgxCoreboxModule {
    constructor(library) {
        library.addIconPacks(fas, fab);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: NgxCoreboxModule, deps: [{ token: i3.FaIconLibrary }], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.4", ngImport: i0, type: NgxCoreboxModule, declarations: [FooterComponent,
            AppsButtonComponent,
            MenuButtonComponent,
            HeaderComponent,
            MenuComponent,
            TemplateComponent,
            AppsComponent,
            AvatarComponent,
            ProfileComponent,
            BreadcrumbComponent,
            ModalComponent,
            ErrorPageComponent,
            FloatButtonComponent,
            FloatButtonItemComponent,
            TooltipDirective,
            TooltipComponent], imports: [CommonModule, FontAwesomeModule, RouterModule], exports: [FooterComponent,
            HeaderComponent,
            MenuComponent,
            AppsComponent,
            AvatarComponent,
            ProfileComponent,
            TemplateComponent,
            BreadcrumbComponent,
            ModalComponent,
            ErrorPageComponent,
            FloatButtonComponent,
            FloatButtonItemComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: NgxCoreboxModule, providers: [FloatButtonService], imports: [CommonModule, FontAwesomeModule, RouterModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.4", ngImport: i0, type: NgxCoreboxModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        FooterComponent,
                        AppsButtonComponent,
                        MenuButtonComponent,
                        HeaderComponent,
                        MenuComponent,
                        TemplateComponent,
                        AppsComponent,
                        AvatarComponent,
                        ProfileComponent,
                        BreadcrumbComponent,
                        ModalComponent,
                        ErrorPageComponent,
                        FloatButtonComponent,
                        FloatButtonItemComponent,
                        TooltipDirective,
                        TooltipComponent
                    ],
                    exports: [
                        FooterComponent,
                        HeaderComponent,
                        MenuComponent,
                        AppsComponent,
                        AvatarComponent,
                        ProfileComponent,
                        TemplateComponent,
                        BreadcrumbComponent,
                        ModalComponent,
                        ErrorPageComponent,
                        FloatButtonComponent,
                        FloatButtonItemComponent
                    ],
                    imports: [CommonModule, FontAwesomeModule, RouterModule],
                    providers: [FloatButtonService]
                }]
        }], ctorParameters: function () { return [{ type: i3.FaIconLibrary }]; } });

class AppItem {
    title;
    url;
    icon;
    iconGallery;
    show;
    constructor(title, url, icon = 'font-awesome', iconGallery = 'fas', show = true) {
        this.title = title;
        this.url = url;
        this.icon = icon;
        this.iconGallery = iconGallery;
        this.show = show;
    }
}

class MenuItem {
    url;
    title;
    children;
    show;
    queryParams;
    icon;
    opened;
    constructor(url, title, children = null, show = true, queryParams = null, icon = null, opened = false) {
        this.url = url;
        this.title = title;
        this.children = children;
        this.show = show;
        this.queryParams = queryParams;
        this.icon = icon;
        this.opened = opened;
    }
}

class Header {
    backgroundColor1;
    backgroundColor2;
    iconBackgroundColor;
    iconFontColor;
    borderShadowColor;
    constructor(backgroundColor1 = 'black', backgroundColor2 = 'black', iconBackgroundColor = '#f9f9f9', iconFontColor = '#111111', borderShadowColor = '#00000040') {
        this.backgroundColor1 = backgroundColor1;
        this.backgroundColor2 = backgroundColor2;
        this.iconBackgroundColor = iconBackgroundColor;
        this.iconFontColor = iconFontColor;
        this.borderShadowColor = borderShadowColor;
    }
}
class Menu {
    backgroundColor;
    backgroundHoverColor;
    fontColor;
    fontHoverColor;
    borderLeftColor;
    subMenuBackgroundColor;
    subMenuSelectedBackgroundColor;
    menuSelectedFontColor;
    constructor(backgroundColor = '#ffffff', backgroundHoverColor = '#11111114', fontColor = '#111111', fontHoverColor = '#ed4b4b', borderLeftColor = '#ed4b4b', subMenuBackgroundColor = '#dedede', subMenuSelectedBackgroundColor = '#e0e0e0', menuSelectedFontColor = '#ed4b4b') {
        this.backgroundColor = backgroundColor;
        this.backgroundHoverColor = backgroundHoverColor;
        this.fontColor = fontColor;
        this.fontHoverColor = fontHoverColor;
        this.borderLeftColor = borderLeftColor;
        this.subMenuBackgroundColor = subMenuBackgroundColor;
        this.subMenuSelectedBackgroundColor = subMenuSelectedBackgroundColor;
        this.menuSelectedFontColor = menuSelectedFontColor;
    }
}
class MenuOptions {
    showMenu;
    backgroundImage;
    logo;
    logoMobile;
    logoUrl;
    constructor(showMenu = true, backgroundImage = undefined, logo = undefined, logoMobile = undefined, logoUrl = undefined) {
        this.showMenu = showMenu;
        this.backgroundImage = backgroundImage;
        this.logo = logo;
        this.logoMobile = logoMobile;
        this.logoUrl = logoUrl;
    }
}
class Footer {
    companyName;
    backgroundColor;
    fontColor;
    borderTopColor;
    constructor(companyName, backgroundColor = 'white', fontColor = '#111111', borderTopColor = '#e7eaec') {
        this.companyName = companyName;
        this.backgroundColor = backgroundColor;
        this.fontColor = fontColor;
        this.borderTopColor = borderTopColor;
    }
}
class Theme {
    selected;
    name;
    backgroundColor;
    scrollColor;
    header;
    menu;
    footer;
    menuOptions;
    constructor(selected, name, backgroundColor, scrollColor, header, menu, footer, menuOptions = new MenuOptions()) {
        this.selected = selected;
        this.name = name;
        this.backgroundColor = backgroundColor;
        this.scrollColor = scrollColor;
        this.header = header;
        this.menu = menu;
        this.footer = footer;
        this.menuOptions = menuOptions;
    }
}

class ProfileOptions {
    logoutEvent;
    logoutLabel;
    userName;
    logoutIcon;
    companyName;
    avatarUrl;
    profileUrl;
    profileLabel;
    profileIcon;
    constructor(logoutEvent = () => alert('Logout Event Trigged!'), logoutLabel, userName, logoutIcon = 'font-awesome', companyName = '', avatarUrl = '', profileUrl = '', profileLabel = '', profileIcon = 'font-awesome') {
        this.logoutEvent = logoutEvent;
        this.logoutLabel = logoutLabel;
        this.userName = userName;
        this.logoutIcon = logoutIcon;
        this.companyName = companyName;
        this.avatarUrl = avatarUrl;
        this.profileUrl = profileUrl;
        this.profileLabel = profileLabel;
        this.profileIcon = profileIcon;
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { AppItem, AppsComponent, AvatarComponent, BreadcrumbComponent, ErrorPageComponent, FloatButtonComponent, FloatButtonItemComponent, Footer, FooterComponent, Header, HeaderComponent, Menu, MenuComponent, MenuItem, MenuOptions, ModalComponent, NgxCoreboxModule, ProfileComponent, ProfileOptions, TemplateComponent, Theme };
//# sourceMappingURL=kenkko.group-ngx-corebox.mjs.map
