import { EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { MenuItem } from '../types/menu-item';
import { MenuOptions } from '../types/theme';
import * as i0 from "@angular/core";
export declare class MenuComponent implements OnInit {
    router: Router;
    menuClosed: boolean;
    menuItems: MenuItem[];
    menuOptions: MenuOptions;
    menuChanged: EventEmitter<boolean>;
    selectedMenu?: MenuItem;
    selectedSubMenu?: MenuItem;
    menuClicked: boolean;
    constructor(router: Router);
    ngOnInit(): void;
    selectCurrentMenu(): void;
    useMenuClosedClass(): boolean;
    useMenuOpenedClass(): boolean;
    getBackgroundImage(): string;
    selectMenu(menu: MenuItem, i: number, level: number): void;
    selectSubMenu(submenu: MenuItem, i: number, level: number, clickSubSubMenu?: boolean): void;
    showDesktopSubMenuWithOpenedNav: () => boolean;
    closeSubMenu: () => void;
    navigate: (url: string | (() => void), queryParams: any) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "corebox-menu", never, { "menuClosed": { "alias": "menuClosed"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "menuOptions": { "alias": "menuOptions"; "required": false; }; }, { "menuChanged": "menuChanged"; }, never, never, false, never>;
}
