export declare class Header {
    backgroundColor1: string;
    backgroundColor2: string;
    iconBackgroundColor: string;
    iconFontColor: string;
    borderShadowColor: string;
    constructor(backgroundColor1?: string, backgroundColor2?: string, iconBackgroundColor?: string, iconFontColor?: string, borderShadowColor?: string);
}
export declare class Menu {
    backgroundColor: string;
    backgroundHoverColor: string;
    fontColor: string;
    fontHoverColor: string;
    borderLeftColor: string;
    subMenuBackgroundColor: string;
    subMenuSelectedBackgroundColor: string;
    menuSelectedFontColor: string;
    constructor(backgroundColor?: string, backgroundHoverColor?: string, fontColor?: string, fontHoverColor?: string, borderLeftColor?: string, subMenuBackgroundColor?: string, subMenuSelectedBackgroundColor?: string, menuSelectedFontColor?: string);
}
export declare class MenuOptions {
    showMenu: boolean;
    backgroundImage: string;
    logo: string;
    logoMobile: string;
    logoUrl: string;
    constructor(showMenu?: boolean, backgroundImage?: string, logo?: string, logoMobile?: string, logoUrl?: string);
}
export declare class Footer {
    companyName: string;
    backgroundColor: string;
    fontColor: string;
    borderTopColor: string;
    constructor(companyName: string, backgroundColor?: string, fontColor?: string, borderTopColor?: string);
}
export declare class Theme {
    selected: boolean;
    name: string;
    backgroundColor: string;
    scrollColor: string;
    header: Header;
    menu: Menu;
    footer: Footer;
    menuOptions: MenuOptions;
    constructor(selected: boolean, name: string, backgroundColor: string, scrollColor: string, header: Header, menu: Menu, footer: Footer, menuOptions?: MenuOptions);
}
